%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement II - Poco Adagio                        *
  * Fichier de notes, Alto                                              *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SaMbViolaI = \relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \TempoII

  a8 \f
  d4. e16-. f-.
  e4. a,8
  f'4. \grace {g16 f e f} g16-. a-.
  g4. g,8
  g'4. \grace {a16 g f g} a16-. bes-.
  c4( ~ c16 bes) d, e
  f4 g16( a32 g) f16-. g-.
  <e, cis' a'>4 q8 a8-. \f \noBeam
  \bar "||"
  <d, a' d>8[-. a'-. q-. a]-.
  <cis, a' e'>8[-. a'-. q-. a]-.
  <d, a' f'>8[-. a'-. q-. a]-.
  <d, g g'>8[-. g-. q-. g]-.
  <e c' g'>8[-. g-. q-. g]-.
  <a f' c'>8[-. c-. <g d' bes'>-. c]-.
  <f, c' a'>8[-. a-. <d, bes' g'>-. g]-.
  <cis, a' e' a>8-. a'-. q-. a \f \noBeam
  \bar "||"
  a'4. \grace {b16 a g} a16-. b-.
  <g, e' c'>4. c8
  c'4. \grace {d16 c b} c16-. d-.
  <cis, a' e'>4. a'8
  \clef treble
  fis'4 gis
  a4( ~ a16 g!) d e
  f8. e32 f \acciaccatura {e16 f} g8 f16-. e-.
  <a,, f' d'>4 q8
  \clef alto
  a8-. \noBeam
  \bar "||"
  <f a d a'>8[-. a-. q-. a]-.
  <g e' c'>8[-. c-. q-. c]-.
  q8[-. c-. q-. c]-.
  <cis a' e'>8[-. e-. q-. e]-.
  \clef treble
  
  % P 17

  <fis d'>4 <gis d'>
  <a d>4 <b d>
  <a f'>4 <g e'>8 <e cis'>
  <d a' d>4 q8
  \clef alto
  a8 \f \noBeam
  \repeat volta 2 {

    \mark \default

    <d, a' d>8 r r a'
    <cis, a' e'>8 r r a'
    <d, a' f'>8 r r d
    <d g g'>8 r r g
    <e c' g'>8 r r c'
    c'16( a f a c, e d c)
    <a f' c'>8 r <d bes' g'> r
    <cis a' e'>8 a'16[(-> e cis e] a,8)
  }
  \repeat volta 2 {
    d,8 \noBeam a' \f a'16( f d f
    e8) r c16(-> g e g
    c,8) \noBeam c' c'16( g e g
    a8) r e16(-> cis a cis)
    <d, a' d>8 <d' fis> \noBeam <d gis> e, \noBeam
    fis8 <d' a'> \noBeam <f! b> gis, \noBeam
    <a f' d'>8 r <a e' a> r
    <f d'>8 r d'16(-> a f a)
  }

  % P 18

  \mark \default

  \repeat volta 2 {
    \polyphonic {\tweak font-size -2 r8 ^\secundaVolta}{\tweak font-size -2 d,8 -\tweak X-offset 2 _\primaVolta}
    \tupletOn
    \tuplet 3/2 8 {
      r16^( r a') \f
      \tupletOff
      <d, a' d>16 d' d d e f
    }
    e8
    \tupletOn
    \tuplet 3/2 8 {
      r16 r a,
      \tupletOff
      <cis, a' e'>16 e' e e f g
    }
    f8
    \tupletOn
    \tuplet 3/2 8 {
      r16 r a,
      \tupletOff
      <d, a' f'>16 f' f f g a
      f16 f f f g aes f \> f f f g aes \!
      g16 \PDolce g g g g g g g g g g g
      <f c'>16 q q q q q <e bes'>\< q q q q q
      <f a>16 q q q q q <d g> q q q q q \!
      <cis a'>16 \f q q q q q
    }
    q16 r r8
  }
  \repeat volta 2 {
    r4 \tuplet 3/2 4 {<d, a'>16 \f q q q d' f}
    g8 ~ \tuplet 3/2 4 {g16 e c g g g g c e}
    g8 ~ \tuplet 3/2 4 {g16 e c g g g g e' g}
    a8 ~
    \tuplet 3/2 4 {
      a16 e cis cis cis cis cis e a
      c!16 \p c c c c c b b b b b b
      c16 c c c c a b b b b \< b b

      % P 19

      a16 a a a a f a a a a a e \!
      <a, f'> \f q q q q q
    }
    q16 r r8
  }
  \override Hairpin.to-barline = ##t
  \override Hairpin.minimum-length = 4.5

  \mark \default

  \repeat volta 2 {
    <d a'>8. r16 r8. bes'16( -\tweak height 0.5 \>
    a8.) \Rndp r16 r8. fis16( -\tweak height 0.5 \>
    g8.) \p r16 r8. fis16( -\tweak height 0.5 \>
    g8.) \p r16 r8. b16( \f
    c8.) c16 \PiuF \noBeam e,8 r16 e'16
    f,8 r16
    \clef treble
    f'16 g,8 r16 g'
    a,8 r16 a' b,8 r16 b'
    a8 r a32( gis a f! e d cis bes!)
    \clef alto
  }

  % P 20

  \repeat volta 2 {
    <d, a'>8. \p r16 r4
    r8. g16( \p \< aes8. d16) \!
    g,8. r16 r4
    r8. a16( \p bes8. \< e16) \!
    a,8. fis16 \noBeam \f <d d'>8 \PiuF r16 gis16
    <d d'>8 r16 a' \noBeam q8 r16 b \ff
    <d, d'>8 r <a e' cis'> r
    <d, a' f' d'>8 r r4
  }
  \key d \major

  \mark \default

  d'4 \FMoltoEspressivo fis
  \noBreak
  g4. g8
  fis4 a
  b4. a8

  % P 21

  g4 g
  \tupletOn
  g4 ~ \tuplet 3/2 4 {g8 fis e}
  d4 <<{\once \override Slur.positions = #'(2 . 2) d8( d16 e)}
       {s16 s32 s -\tweak outside-staff-priority 600 -\turn}>>
  e4( a,8) a8 \noBeam
  \bar "||"
  d4 fis
  g4. g8
  fis4 a
  b4. a8
  g4 g
  g4 ~ \tuplet 3/2 4 {g8 fis e}
  d4 <<{\once \override Slur.positions = #'(2 . 2) d8( d16 e)}
       {s16 s32 s -\tweak outside-staff-priority 600 -\turn}>>
  e4( a,8) a'8 \noBeam
  \bar "||"
  a4 b
  c4. c8
  \clef treble
  c4 cis
  d4. d8
  d4 \< dis
  e4 eis \!
  fis8( d)
  <<{\once \override Slur.positions = #'(2 . 2) cis8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}>>
  d4 r
  \clef alto
  \bar "||"
  fis,8[( g fis f]
  e8[ d e c])
  a'8[( \cresc bes a g]
  fis8[ e fis c])
  b8[( c b c]
  b8[ cis! b cis])
  d8[( fis a g]
  fis8[ \> d a]) \! r

  % P 22

  \override Hairpin.minimum-length = 4.5
  \override Hairpin.to-barline = ##t

  \mark \default

  \repeat volta 2 {
    \clef treble
    \polyphonic {
      a'8.( b16) a( b cis d)
      a8.( b16) a( cis d e)
      a,8.( b16) a( c d e)
      d16( c d b) d( a d g,)
      cis!8.( d16) b( e fis g)
      a,8.( b16) g( cis d e)
    }{
      d,8 s d s
      d8 s d s
      d8 s d s
      d8 s d s
      d8 s d s
      d8
    }
    fis8.( g16) f8.( g16)
    e16( \< fis! g gis a ais \! cis \> b)
  }
  \repeat volta 2 {
    a8.( \p b16)
    a( \< b c d) \!
    <c, g' e'>8.( \rf g'16) e'8.( \> g,16) \!
    g8.( \p \< a16) g( a bes c) \!
    <bes, f' d'>8.( \rf f'16) \> d'8.( f,16) \!
    \clef alto
    fis!8.( \pp g16) a(g a g)
    a8.( g16) a( g a fis)
    g16( e fis d)
    e4
  }
  \alternative {
    {
      fis16( a, fis a d, a' d fis)
    }{
      fis16( a, fis a d,8) r
    }
  }
  \key d \minor
  \bar "||"

  \mark \default

  R2*4
  g4 \p g
  f8 \noBeam c( d bes'

  % P 23

  a8 c, d e)
  e4 e
  f4 f
  g4 g
  g4 \< g
  cis4 cis \!
  d8( c! b e)
  d8( c b e)
  d8( \> a cis4) \!

  \mark \default

  d4 \p d
  R2*5
  r8 a16-. \p bes-. \acciaccatura {a16 bes} c8 bes16-. a-.
  \acciaccatura bes8 d4 r
  r8 a16 bes  \acciaccatura {a16 bes} c8 bes16 a
  \acciaccatura bes8 d4 r
  r8 fis16 \< g \acciaccatura {fis16 g} a8 \! g16 fis
  g8 \dim e16 fis \acciaccatura {e16 fis} g8 fis16 e
  d8 \noBeam a( \< b4) \!
  a8 \noBeam \< fis g4 \!
  fis4 e
  fis2 \fermata

  \bar "|."
}

voiceSaMbViolaI = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Bratsche"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Br."
  }
  \set Staff.midiInstrument = "viola"
  \key d \minor
  \clef alto
  \partial 8
  \SaMbViolaI
}
