%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement II - Poco Adagio                        *
  * Fichier de notes, Alto II                                           *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SaMbViolaII = \relative c {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \TempoII

  r8
  <f d'>4 \f q
  <a e'>4 q
  <a f'>4 <d f>
  <d g>4 q
  <e g>4 q
  <f a>8 \noBeam c[(d bes])
  a8[( c d e])
  <a, e'>4 q
  \bar "||"
  <f d'>4 q
  <a e'>4 q
  <f d'>4 q
  <g d'>4 q
  <g e'> <c e>
  <c f>8 \noBeam c[( d bes])
  a8[( c d e])
  <a, e'>4 q
  \bar "||"
  <a d>4 \f q
  <c e>4 q
  <e g>4 q
  <e a>4 q
  <fis a>4 <gis d'>
  <a d>4 <b d>
  <f d'>4 <e g>8 <cis a'>
  <a d a'>4 q
  \bar "||"
  <a d>4 \f q
  <c! e>4 q
  <c g'>4 q
  <cis a'>4 q8 a'( \noBeam
  \clef treble

  % P 17

  d8[ c! b e])
  d8[( c b e])
  d( a)
  \clef alto
  bes!8 a16 g
  <d, a' f'>4 q
  \repeat volta 2 {

    \mark \default

    R2*3
    r4 r8 g \f
    g'16( e c e g, bes a g)
    <a f' c'>8 r r bes
    <a f' c'>8 r <d bes'g'>8 r
    <cis a' e'>8 a'16[(-> e cis e] a,8)
  }
  \repeat volta 2 {
    d, r r f' \f
    <g, e' c'>8 r r c,
    <e c'>8 r r
    \clef treble
    g'
    <cis, a' e'>8 r r
    \clef alto a8
    <d, c' fis>8 r e \noBeam <d' gis>
    <fis, a d a'>8 r gis \noBeam <f'! b>
    <a, f' d'>8 r <a e' a> r
    <d, a' d>8 r d'16(-> a f a)
  }

  % P 18

  \mark \default

  \repeat volta 2 {
    \polyphonic {\tweak font-size -2 r8 ^\secundaVolta}{\tweak font-size -2 d,8 -\tweak X-offset 2 _\primaVolta}
    \tupletOn
    \tuplet 3/2 8 {
      r16^( r a') \f
      \tupletOff
      f16 f f f a d
    }
    a8
    \tupletOn
    \tuplet 3/2 8 {
      r16 r a
      \tupletOff
      a16 a a a d e
    }
    d8
    \tupletOn
    \tuplet 3/2 8 {
      r16 r a
      \tupletOff
      <d, a' d>16 d' d d e f
      d16 d d d e f d \> d d d e f \!
      <e c'>16 \PDolce q q q q q q q q q q q
      c16 c c c c c c \< c c c c c
      c16 c c c c c bes bes bes bes bes bes \!
      <a e'>16 \f q q q q q
    }
    q16 r r8
  }
  \repeat volta 2 {
    r4 \tuplet 3/2 8 {f16 \f f f f a d}
    e8 ~ \tuplet 3/2 8 {e16 c g e e e e g c}
    e8 ~ \tuplet 3/2 8 {e16 c g e e e e g e'}
    e8 ~ \tuplet 3/2 8 {e16 cis a a a a a cis e}
    \tuplet 3/2 8 {
      fis16 \p fis fis fis fis fis e e e e e e
      a16 a a a a fis e e e e \< e e

      % P 19

      f16 f f f f d e e e e e a, \!
      d16 \f d d d d d
    }
    d16 r r8
  }
  \override Hairpin.to-barline = ##t
  \override Hairpin.minimum-length = 4.5

  \mark \default

  \repeat volta 2 {
    <a f'>8. \noBeam \p a'16( -\tweak height 0.5 \< bes8.) \f \noBeam g16( -\tweak height 0.5 \>
    f8.) \p \noBeam a16( -\tweak height 0.5 \< ees'8.) \f \noBeam ees,16( -\tweak height 0.5 \>
    d8.) \p \noBeam d'16( -\tweak height 0.5 \< ees8.) \f \noBeam ees,16( -\tweak height 0.5 \>
    d8.) \p \noBeam
    \clef treble
    d'16( -\tweak height 0.5 \< aes'8.) \f \noBeam \clef alto
    aes,16 \f g8. r16 bes,!32( \PiuF c d e f g a bes)
    a,32( bes c d e f g a) e( f g a bes c d e)
    f,32( g a bes c d e f) e,( fis gis a b cis d e)
    <a,, e' cis'>8 r a'32( gis a f! e d cis bes!)
    \override Hairpin.to-barline = ##f
  }
  % P 20

  \repeat volta 2 {
    <a f'>8. \p a'16( \noBeam bes8. \< f'16) \f
    e8. e,16( \p \< \noBeam f4) \!
    e8. g16 \noBeam c8.( \< g'16) \f
    fis8. \noBeam fis,16( \p \< g4) \!
    fis4 e,32( \PiuF fis! gis! a b! cis! d e)
    fis,32( gis a b cis d e fis) gis,( a b c d e fis! gis!)
    a,32( \ff b cis d e f! g! a) bes!8 a16-. g-.
    f8 r d'32( cis d bes a g f e)
  }
  \key d \major

  \mark \default

  d8[( \FMoltoEspressivo cis b a])
  \noBreak
  e'8[( cis b a])
  fis'8[( d cis c])
  b8[( d g fis])

  % P 21

  e8[( fis e d])
  cis8[( d cis b])
  a8[( b a b])
  cis8[( b a g])
  \bar "||"
  fis4 r
  R2*5
  r8 b'[(a gis]
  a8[ gis a g])
  \bar "||"
  fis8[( g fis f]
  e8[ d e c])
  a'8[( bes! a g]
  fis![ e fis c])
  b8[( \< c b c]
  b8[ cis! b cis]) \!
  d8[( fis a g]
  fis8[ d a g])
  \bar "||"
  fis8[( g fis f]
  e8[ d e c])
  f4 \cresc ees
  d4 d
  g4 fis
  g4 gis
  a4 a
  d,4 \> d \!

  % P 22

  \mark \default

  \repeat volta 2 {
    <d' a'>4 \pp q
    q4 q
    q4 q
    <d d'>4 q
    <d cis'>4 <d b'>
    <d a'>4 <d g>
    <d fis>4 <d f>
    <a e'>4 q
  }
  \override Hairpin.minimum-length = 4.5
  \override Hairpin.to-barline = ##t
  \repeat volta 2 {
    d4 d \<
    <c g'>4 \rf q \>
    c4 \< c
    <bes f'>4 \rf q \>
    <a fis'!>8.( \pp e'16) fis( e fis e)
    fis8.( e16) fis16( e fis d)
    e16( c d b) bes( g fis e)
    \tag #'partScore {
      d4 r
    }
  }
  \alternative {
    {
      \elseTag #'partScore {
        d4 r
      }
    }{
      \elseTag #'partScore {
        d4 r
      }
    }
  }
  \override Hairpin.to-barline = ##f
  \key d \minor

  \mark \default

  R2 * 4
  e4 \p e
  f8 c([ d bes']

  % P 23

  a8[ c, d e)]
  cis4 cis
  d4 d
  e4 e
  e4 e
  e4 a
  a4 d
  d4 b
  d4 \> a \!

  \mark \default

  d,4 \p d
  d4 d
  d4 d
  d4 d
  d4 d
  a'4 \> a \!
  r8 fis16-. \p g-. \acciaccatura {fis16 g} a8 g16-. fis-.
  \acciaccatura g8 bes4 r
  r8 fis16 g  \acciaccatura {fis16 g} a8 g16 fis
  \acciaccatura g8 bes4 r
  r8 d16 \< e \acciaccatura {d16 e} fis8 \! e16 d
  e8 \dim a,16 d \acciaccatura {a16 d} e8 a,16 g
  fis8 \noBeam fis( \< g4) \!
  fis8 \noBeam \< d d4 \!
  d4 d
  d2 \fermata
}

voiceSaMbViolaII = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "2.Bratsche"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "2.Br."
  }
    \set Staff.midiInstrument = "viola"
    \key d \minor
    \clef alto
    \partial 8
    \SaMbViolaII
}
