%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement II - Poco Adagio                        *
  * Fichier de notes, Violons I                                         *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SaMbViolinoI =
\relative c'' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \set Score.alternativeNumberingStyle = #'numbers
  \TempoII

  r8
  R2*7
  r4 r8 a \f
  \bar "||"
  d4. e16-. f-.
  e4. a,8
  \override Script.staff-padding = 2.2
  <<{f'4.}{s8 s16 s -\turn}>> g16-. a-.
  g4. g,8
  \revert TextScript.staff-padding
  <<{g'4.}{s8 s16 s -\turn}>> a16-. bes-.
  c4( ~ c16 bes) d, e
  f4 g16( a32) g f16-. g-.
  <e, cis' a'>4 q
  \bar "||"
  R2*7
  r4 r8 a
  \bar "||"
  a'4. \grace {b16 a g} a16-. b!-.
  c4. c,8
  c'4. \grace {d16 c b} c16-. d-.

  % P 17

  e4. a,8
  fis'4 gis
  a4( ~ a16 g!) d e
  f8. e32 f \acciaccatura {e16 f} g8 f16-. e-.
  <d,, f' d'>4 q

  \repeat volta 2 {

    \mark \default

    R2*4
    r4 r8 c \f<a f' c'>8 r r e'
    <c a' f'>16( c' a c g bes a g)
    <e cis' a'>( e' cis e a,8) r
  }
  \repeat volta 2 {
    r4 r8 f' \f
    c'16( g e g c,8) r
    r4 r8 g'
    e'16( cis a cis) e,8 r
    r4 gis16( d b d)
    c16( e d c) b'( f d f)
    d'16( a f a) a( e cis e)
    \elseTag #'partScore {
      d16( a f a d,8)

      \polyphonic {
        \override StaffSymbol.thickness = #(magstep -3) \tweak font-size -2 r8 ^\primaVolta 
        \revert StaffSymbol.thickness
      }{
        \override StaffSymbol.thickness = #(magstep -3) \tweak font-size -2 r16
        -\tweak X-offset -1 _\secundaVolta \tweak font-size -2 a'
        \revert StaffSymbol.thickness
      }
    }
  }
%{  \alternative {
    {
      \tag #'partScore {
        {
          d16( a f a 
          d,8) r
        }
        s4*0
      }
      \elseTag #'partScore {
        s4*0
      }
    }
    {
      \tag #'partScore {
        {
          d'16( a f a
          d,8) r16 a'
        }
        \elseTag #'partScore {
          s4*0
        }
      }
    }
  }
%}
  % P 18

  \tupletOn

  \mark \default

  \repeat volta 2 {
    \tuplet 3/2 8 {d16 \f d d d e f}
    \tupletOff
    f8 ~
    \tuplet 3/2 8 {
      f16 e d
      e16 e e e f g
    }
    g8 ~
    \tuplet 3/2 8 {
      g16 f e
      f16 f f f g a
    }
    a8 ~
    \tuplet 3/2 8 {
      a16 g f
    }
    aes8 ~ \tuplet 3/2 8 {aes16 g f} aes8 \> ~ \tuplet 3/2 8 {aes16 g f \!}
    e16(-. \PDolce g-. a!-. bes-.) c4 ~
    c16-. d-.( \cresc c-. d-.) bes-.( \< c-. bes-. c-.)
    \tupletOn
    a16-.( bes-. a-. bes-.) g8 \trill ~ \tuplet 3/2 8 {g16-. f-. g-. \!}
    a4 \f r8
    \tupletOn
    \tuplet 3/2 8 {r16 r a, \f}
    \tupletOff
  }
  \repeat volta 2 {
    \tuplet 3/2 8 { <d, a'>16 q q q d' f}
    f8 ~
    \tuplet 3/2 8 {
      f16 d a
      c16 c c c e g
    }
    g8 ~
    \tuplet 3/2 8 {
      g16 e c
      g16 g g g e' g
    }
    g8 ~
    \tuplet 3/2 8 {
      g16 e g,
      cis16 cis cis cis e cis'
    }
    cis8. a16
    d4 \p ~
    d16 e(-. d-. e-.)
    <<{d4 ~}{s32 s -\tweak minimum-length 14 \MoltoCresc}>> d16 e(-. d-. \< e)-.

    % P 19

    d16-.( e-. d-. f-.)  e-.( g-. cis,-. e-.) \!
    \elseTag #'partScore {
      d4 \f r8
      \tupletOn
      \override TextScript.whiteout = ##f
      \once \override TupletNumber.Y-offset = 3
      \tuplet 3/2 8 {r16 -\tweak X-offset -1 _\restSecunda r a,}
      \override TextScript.whiteout = ##t
      \tupletOff
    }
  }
  \alternative {
    {
      \tag #'partScore {
        d'4 \f r8
        \tupletOn
        \tuplet 3/2 8 {r16 r a,}
        \tupletOff
      }
    }{
      \tag #'partScore {
        d4 \f r4
      }
    }
  }
  \override Hairpin.to-barline = ##t
  \override Hairpin.minimum-length = 4.5

  \mark \default

  \repeat volta 2 {
    r8. a'16( -\tweak height 0.5 \< bes8.) \f r16
    r8. a16( -\tweak height 0.5 \< ees'8.) \f r16
    r8. d16( -\tweak height 0.5 \< ees8.) \f r16
    r8. d16( -\tweak height 0.5 \< aes'8.) \f r16
    r8. c,16 \PiuF e,8 r16 e'
    f,8 r16 f' f,8 r16 g'
    a,8 r16 a' b,8 r16 b'
    a32( gis a fis e d cis b) a8 r
  }

  % P 20

  \repeat volta 2 {
    r8. a16( bes8. \< f'16) \!
    e8. r16 r4
    r8. g,16 c!8.( \< g'16) \f
    fis4 r
    r8. a,16 \PiuF gis8 r16 b
    a8 r16 d b8 r16 e \ff
    f8 e16-. f-. \grace {e16 f} g8 f16-. e-.
    d32( cis d bes a g f e
    d8) r
  }
  \key d \major

  \mark \default

  d,4 \FMoltoEspressivo fis
  \noBreak
  g4. g8
  fis4 a
  b4. a8

  % P 21

  g4 g
  \tupletOn
  g4 ~ \tuplet 3/2 4 {g8 fis e}
  d4 <<
    {\once \override Slur.positions = #'(2 . 2) d8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}
  >>
  e4( a,8) a'8 \noBeam
  \bar "||"
  d4 \MoltoEspressivo fis
  g4. g8
  fis4 a
  b4. a8
  g4 g
  g4 ~ \tuplet 3/2 4 {g8 fis e}
  d4 <<
    {\once \override Slur.positions = #'(2 . 2) d8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}
  >>
  e4( a,8) r
  \bar "||"
  R2*7
  r4 r8 a' \FMoltoEspress
  \bar "||"
  a4 b
  c4. c8
  c4 \cresc cis
  d4. d8
  d4 dis
  e4 eis
  fis16( ees d8)
  <<
    {\once \override Slur.positions = #'(2 . 2) cis8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}
  >>
  <<{d4.}{s8 \> s s \!}>> r8

  % P 22

  \override Hairpin.minimum-length = 4.5
  \override Hairpin.to-barline = ##t

  \mark \default

  \repeat volta 2 {
    r16 fis( \PPDolce \noBeam fis,8) ~ fis4
    r16 g'( \noBeam g,8) ~ g4
    r16 a'( \noBeam a,8) ~ a4
    r16 g'( \noBeam g,8.) d'16( \noBeam b,8)
    r16 g''( g,8.) \noBeam cis16( b8) \noBeam
    r16 fis'( fis,8.) \noBeam a16( g8) \noBeam
    r16 d'( d,8.) \noBeam b'16( \noBeam b,8) \noBeam
    \override DynamicLineSpanner.staff-padding = 2
    r16 a( \< e'8.)  \noBeam cis16( \! g'!8) \>
    \revert DynamicLineSpanner.staff-padding
  }
  \repeat volta 2 {
    r16 \! fis'16( fis,8.) \<  \noBeam f'16 f,8 \!  \noBeam
    r16 g'( g,8.)  \noBeam g'16( \! g,8)  \noBeam
    r16 e'( e,8.) \<  \noBeam ees'16( ees,8) \!  \noBeam
    r16 f'( \> f,8.)  \noBeam f'16( \! gis,8)  \noBeam
    a8.( \pp b16) a( b a b)
    a8.( b16) a( b a b)
    g16( a fis g) cis,4
    \tag #'partScore {
      d4 r
    }
  }
  \alternative {
    {
      \elseTag #'partScore {
        d4 r
      }
    }{
      \elseTag #'partScore {
        d4 r
      }
    }
  }
  \elseTag #'partScore {
    \bar "||"
  }
  \key d \minor

  \mark \default

  R2
  \set Staff.midiInstrument = "pizzicato strings"
  r8 e,16-. \p \Pizz f-. e8-. r
  R2
  r8 g16 a g8 r
  R2
  r8 c16 d bes8 r

  % P 23

  r8 a16 bes g8 r
  r8 a16 bes a8 r
  R2
  r8 g16 a g8 r
  R2
  r8 a16 \< bes a8 \! r
  r8 d16 \f e d8 r
  r8 d16 e d8 r
  <a, f' a>8 \p r <a e' a> r
  \set Staff.midiInstrument = "violin"

  \mark \default

  r8 a''16-. \p \Arco bes-. \acciaccatura {a16 bes} c8 bes16-. a-.
  \acciaccatura bes8 d4 r
  r8 a16 bes \acciaccatura {a16 bes} c8 bes16 a
  \acciaccatura bes8 d4 r
  r8 f,!16 g \acciaccatura {f16 g} a8 g16 f
  \acciaccatura e8 g8 e16 f \acciaccatura {e16 f} g8 f16 e
  d4 d
  d8 bes16-. c-. \acciaccatura { bes16 c } d8 c16-. bes-.
  \acciaccatura a8 d4 d
  d8 bes16-. c-. \acciaccatura { bes16 c } d8 c16-. bes-.
  \acciaccatura a8 d4 \> d \!
  d4 \dim cis
  d4 d \!
  d4 d
  d4 d
  d2 \fermata

  \bar "|."
}

voiceSaMbViolinoI = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "I.Violine"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "I.Viol."
  }
  \set Staff.midiInstrument = "violin"
  \key d \minor
  \partial 8
  \clef treble
  \SaMbViolinoI
}
