%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement II - Poco Adagio                        *
  * Fichier de notes, Violons II                                        *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SaMbViolinoII =
\relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \TempoII

  r8
  R2*8
  \bar "||"
  <a d>4 \f q
  <a e'>4 q
  <a f'>4 q
  <d g>4 q
  <e g>4 q
  <f c'>4
  \polyphonic {bes4}{d,8 e}
  <f a>4 <d g>
  <cis a'>4 q
  \bar "||"
  R2*8
  \bar "||"
  <f a>4 \f q
  <e c'>4 q
  q4 q
  <e cis'>4 q

  % P 17

  <d a' fis'>8[-. a'-. <e d' gis>-. d']-.
  <d, a' a'>8-. d'-. <g,, b' d>-. d'-.
  <d a' f'>8-. a'-. <e cis'>-. a-.
  <a, f' d'>8-. a' <a, f' d'>4

  \repeat volta 2 {

    \mark \default

    R2*6
    r8 f'8 \f <d bes' g'>16( d' bes d)
    <a, e' cis'>8 r r4
  }
  \repeat volta 2 {
    r8 a \f <d f a> r
    r8 c'16(-> g e g c,8) \noBeam
    r8 c <g e' c'> r
    r8 e''16(-> cis a cis e,8) \noBeam
    r4 <b' d>8 r
    <a c>8 r <d f!> r
    <d, a' f'>8 r <cis e a e'> r
    \elseTag #'partScore {
      \polyphonic {
        <d a' d>8 \noBeam d'16[(-> a f a]
        \override StaffSymbol.thickness = #(magstep -3) \tweak font-size -2 d,8) ^\primaVolta
        \revert StaffSymbol.thickness
      }{
        \override StaffSymbol.thickness = #(magstep -3) \tweak font-size -2 d16 \noBeam
        -\tweak X-offset -4 _\secundaVolta \tweak font-size -2 a'16}
      \revert StaffSymbol.thickness
    }
  }
%{  \alternative {
    {
      \tag #'partScore {
        {
          <d, a' d>8 \noBeam d'16[(-> a f a]
          d,8)
        }
      }
      \elseTag #'partScore {
        s4*0
      }
    }
    {
      \tag #'partScore {
        {
          <d a' d>8 \noBeam d'16[(-> a f a]
          d,16[ a'16)]
        }
        \elseTag #'partScore {
          s4*0
        }
      }
    }
  }
%}
  % P 18

  \mark \default

  \repeat volta 2 {
    \tupletOn
    \tuplet 3/2 8 {f16[ f f] f a d}
    \tupletOff
    d8 ~
    \tuplet 3/2 4 {
      d16 a f
      a16 a a a d e
    }
    e8 ~
    \tuplet 3/2 4 {
      e16 d a
      d16 d d d e f
    }
    f8 ~
    \tuplet 3/2 4 {f16 e d}
    f8 ~
    \tuplet 3/2 4 {f16 e d}
    f8 \> ~
    \tuplet 3/2 4 {f16 e d \!}
    c16(-. \PDolce e-. f-. g-.) c,-.( e-. f-. g-.)
    a16-.( c,-. \cresc e-. f-.) g-.(  \< c,-. d-. e-.)
    \tupletOn
    f16-.( c-. e-. f-.) e8 \trill ~ \tuplet 3/2 8 {e16-. d-. e-.\!}
    cis4 \f r8 \tuplet 3/2 8 {r16 r a \f}
  }
  \tupletOn
  \repeat volta 2 {
    \tuplet 3/2 8 {f16 f f f a d} d8 ~
    \tuplet 3/2 8 {
      d16 a f
      e16 e e e c' e
    }
    e8 ~
    \tuplet 3/2 8 {
      e16 c e,
      e16 e e e g e'
    }
    e8 ~
    \tuplet 3/2 8 {
      e16 g, e
      e16 e e e a e'
    }
    e8. cis16
    r16 d-.( \p fis-. a-.) gis-.( e-. gis-. b-.)
    <<{a16-.(}{s32 s -\tweak minimum-length 14 \MoltoCresc}>> d,16-. fis-. c'-.) b-.( e,-. gis-. \< b-.)

    % P 19

    a16-.( g!-. f-. a-.) g-.( bes!-. e,-. g-.) \!
    f4 \f r8
    \override TextScript.whiteout = ##f
    \once \override TupletNumber.Y-offset = 3
    \tuplet 3/2 8 {r16 -\tweak X-offset -1 _\restSecunda r a,}
    \override TextScript.whiteout = ##t
  }
  \override Hairpin.to-barline = ##t
  \override Hairpin.minimum-length = 4.5

  \mark \default

  \repeat volta 2 {
    r8. f'16( -\tweak height 0.5 \< g8.) \f bes,,16( \> \noBeam
    a8.) \p f''16( -\tweak height 0.5 \< \noBeam fis8.) \f a,,16( -\tweak height 0.5 \> \noBeam
    g8.) \p g''16( -\tweak height 0.5 \< \noBeam fis8.) \f a,,16( -\tweak height 0.5 \> \noBeam
    g8.) \p d'''16( -\tweak height 0.5 \< \noBeam b8.) \f d,,16( \f \noBeam
    c8.) r16 <c g' c>8 \PiuF r8
    <c g' c>8 r q r
    <c f c'>8 r <e d' gis> r16 <e d' gis>
    <e cis' a'>32( gis' a fis e d cis b) a8 r
  }

  % P 20

  \repeat volta 2 {
    r8. f'16 \noBeam f8.( \< bes16) \f
    g8. <e, g>16( \p \< \noBeam <f aes>4) \!
    <e g>8. g'16 \noBeam g8.( \< c16) \f
    a8. <fis, a>16( \p \< \noBeam <g bes!>4) \!
    <fis a>8. c'!16 \f \noBeam b8 \PiuF r16 d
    c8 r16 fis \noBeam e8 r16 e \ff
    a8 g16-. a-. \grace {g16 a} bes8 a16-. g-.
    f32( cis' d bes a g f e
    d8) r
  }
  \key d \major

  \mark \default

  R2*6

  % P 21

  r8 b,[( \FMoltoEspressivo a gis]
  a8[ gis a) a]
  \bar "||"
  d8[( cis b a])
  e'8[( cis b a])
  fis'8[( d cis c])
  b8[( d g fis])
  e8[( fis e d])
  cis8[( d cis b])
  a8[( b a b])
  cis8( b a4)
  \bar "||"
  a4 b
  c4. c8
  c4 cis
  d4. d8
  d4 \< dis
  e4 eis \!
  fis8( d)
  <<{\once \override Slur.positions = #'(2 . 2) cis8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}>>
  d4 r8 a'
  \bar "||"
  a4 b
  c4. c8
  c4 \cresc cis
  d4. d8
  d4 dis
  e4 eis
  fis8( d)
  <<{\once \override Slur.positions = #'(2 . 2) cis8( d16 e)}
    {s16 s32 s -\tweak outside-staff-priority 600 -\turn}>>
  <<{d4.}{s8 \> s s \!}>> r8

  % P 22

  \mark \default

  \repeat volta 2 {
    r16 d'( \PPDolce \noBeam d,8) ~ d4
    r16 e'( \noBeam e,8) ~ e4
    r16 fis'( \noBeam fis,8) ~ fis4
    r16 d'( \noBeam d,8) ~ d4
    r16 e'( e,8.) \noBeam a16( g8) \noBeam 
    r16 d'( d,8.) \noBeam fis16( e8) \noBeam
    r16 a( a,8.) \noBeam gis'16( \noBeam gis,8) \noBeam
    r8 cis4( \< e8) \>
  }

  \repeat volta 2 {
    r16 \!d'( d,8.) \< \noBeam d'16( d,8) \! \noBeam
    r16 e'( \> e,8.) \noBeam e'16( \! e,8) \noBeam 
    r16 c'( \noBeam c,8.) \< c'16( \noBeam c,8) \!
    r16 d'( \> d,8.) \noBeam d'16( \! d,8) \noBeam
    d8.( \pp cis!16) d( cis d cis)
    c8.( d16) c( d c d)
    b16( c a b) g( bes a g)
    \tag #'partScore {
      fis4 r
    }
  }
  \alternative {
    {
      \elseTag #'partScore {
        fis4 r
      }
    }{
      \elseTag #'partScore {
        fis4 r
      }
    }
  }
  \key d \minor

  \mark \default

  R2
  \set Staff.midiInstrument = "pizzicato strings"
  r8 a, \p \Pizz a r
  R2
  r8 <g d'>[ q] r
  R2
  r8 f'[ d] r

  % P 23

  r8 c[ d] r
  r8 <cis e>[ q] r
  R2
  r8 <c! e>[ <c e>] r
  R2
  r8 <cis e>[ \< q] \! r
  r8 d'16 \f e d8 r
  r8 d16 e d8 r
  <a, a'>8 \p r q r
  \set Staff.midiInstrument = "violin"

  \mark \default

  r8 fis''16-. \p \Arco g-. \acciaccatura {fis16 g} a8 g16-. fis-.
  \acciaccatura g8 bes4 r
  r8 fis16-. g-. \acciaccatura {fis16 g} a8 g16-. fis-.
  \acciaccatura g8 bes4 r
  r8 d,16 \< e \acciaccatura {d16 e} f8 \! e16 d
  \acciaccatura a8 e'8 a,16 \> d \acciaccatura {a16 d} e8 \! d16 a
  d,4 d
  d8 g16 a \acciaccatura {g16 a} bes8 a16-. g-.
  \acciaccatura fis8 d4 d
  d8 g16 a \acciaccatura {g16 a} bes8 a16-. g-.
  \acciaccatura fis8 d4 \> a \!
  a4 \dim a
  d4 d \!
  d4 d
  d4 d
  d2 \fermata

  \bar "|."
}

voiceSaMbViolinoII = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "2.Violine"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "2.Viol."
  }
  \set Staff.midiInstrument = "violin"
  \key d \minor
  \partial 8
  \clef treble
  \SaMbViolinoII
}
