%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Alto 1                                            *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par les violons II :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteViolinoII {

SaMcViolaI =
\relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    R1*3/4*4
    r4 r d8( \mf e)
    f4 r r
    r4 r d8( \cresc e)
    f8( g f e) d( f)
    g8([ g,] g') r r4
    r4 r c,8( e)
    g8([ g,] g') r g( g,)
    <c g'>2. \f
  }
  \repeat volta 2 {
    R1*3/4
    r4 r aes-. \f
    des4-. ees-. f-> ~
    f2 f4(-> 
    ees2) \cresc ees4-> ~
    ees2 ees4-> ~
    ees2 ees4-> ~
    ees2 ees4(->
    e!2)-> e4-> ~
    e2 e4-> ~
    e2 <c e>4-> ~
    q2.
    c,4-. \fp f-. g-.
    a4-. f-. g( \trill
    a4)-. f-. bes-.
    a4-. f-. g( \trill
    a4-.) f-. d'8( e)
    f4-. c-. d8( e
    f8 \cresc g f e) d( e
    f8 g f d) c( d
    e8 fis gis a b d
    c8[ b]a) r
    \clef treble
    c,8( d
    e8 fis gis a b d
    c8[ b] a) r
    c,( \PiuCresc d
    e8 f! g! a bes! d
    c8[ bes] g) r bes( d
    c8[ bes] g) r bes( d
    c8[ bes] g) r <e c'> r
    <f a>4 \f r8 c' d e
  }
  \alternative {
    {
      f4 r r
    }{
      f4 r8
      \clef alto
      c,8 d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    f2.-. \ff ~
    f2. ~
    f2 e4-.
    f2.->
    f2. \ffz ~
    f2. ~
    f2.
    e4 d c
    d4 f b
  }
  \alternative {
    {
      <g, e' c'>4. c8 d e
    }{
      <g, e' c'>4. g'8 a b
    }
  }

% P 26

  \repeat volta 2 {
    c4. \ff g8 a b
    c4. g8 a b
    c8 g a b c \< g
    a8 b c aes bes! c \!
    des2.-. \FFSempre ~
    des2. ~
    des2 c4-.
    des4-. aes-. ges-.
    f4( des' c)
    aes4( c bes)
    ges4( f e!)
    ges2( f4)
    aes2( ges4)
    \clef treble
    des'2( c4)
    ges'2( f4)
    des2( c4)
    ges'2( f4)
    ges2( f4)
    g!2( f4)
    ees4-. d!-. c-.
    \clef alto
    bes2. ~
    bes2. ~
    bes2 a4-.
    bes4 f ees
    d4 f bes ~
    bes2.
    \clef treble
    g4 d' g ~
    g2.
    c,,4 g' c
  }
  \alternative {
    {
      <a f'>4.
      \clef alto
      g8 a b
    }{
      \clef treble
      <a f'>2 r4
      \clef alto
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

% P 27

  \TempoIIICoda
  f2. ~
  f2. ~
  f2 e4-.
  f2.->
  f2. \ffz ~
  f2 e4-.
  f2.-> \SemprePiuF ~
  f2->  e4-.
  g2.-> ~
  g2 f4-.
  a2-> f4-.
  a2-> f4-.
  a2 bes4
  b2 c4
  cis,4-. d-. \< dis-.
  e4-. f-. fis-. \!
  <g, f'! b>4 \ff r r
  <g f'>4 r r
  \polyphonic {<\tweak Stem.direction #DOWN e' \tweak Stem.direction #DOWN c'>2}{g,4 -\tweak X-offset -2.8 \ff s}
  bes'!4
  a2 g4
  f4 r r
  <a, f' c'>4 r r
  <a f'>2. ~
  q4 r r

  \bar "|."
}

voiceSaMcViolaI = \new Voice {
  \time 3/4
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Bratsche"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Br."
  }
  \set Staff.midiInstrument = "viola"
  \key f \major
  \clef alto
  \SaMcViolaI
}
