%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Alto 2                                            *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par les violons II :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteViolinoII {

SaMcViolaII =
\relative c {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    \set Staff.midiInstrument = "viola"
    R1*3/4*2
    r4 r d8( \mf e)
    f4 r r
    R1*3/4
    r4 r d8( e)
    f8( \cresc g f e) d( e)
    f8( g f e) d( f)
    g8 r r4 g8( b)
    c8[( c,] c') r r4
    r4 r g'8( b)
    c8[( \f c,] c') r r4
  }
  \repeat volta 2 {
    R1*3/4*2
    r4 r f,,-. \f
    bes4-. c-. des-> ~
    des2 \cresc des4-> ~
    des2 des4-> ~
    des2 des4-> ~
    des2 des4->(
    c2->) c4-> ~
    c2 c4-> ~
    c2 <c, g'>4-> ~
    q2.
    c4-. \fp c-. e-.
    f4-. c-. e(
    f4)-. c-. d8( e)
    f4-. c-. e(

% P 25

    f4)-. c-. d8( e)
    f4-. c-. d8( e
    f8 \cresc g f e) d( e
    f8 g f d) c( d
    e8 fis gis a b d
    c8[ b] a) r c,( d
    e8 fis gis a b d
    c8[ b] a) r c,8( \PiuCresc d
    e8 f! g! a bes! d
    c8[ bes] g) r bes( d
    c8[ bes] g) r bes( d
    c8[ bes] g) r c r
    <f, c'>4 \f r8 c' d e
  }
  \alternative {
    {
      f4 r r
    }{
      f4 r8 c, d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    f2.-. \ff ~
    f2. ~
    f2 e4-.
    f2.->
    f2. \ffz ~
    f2. ~
    f2.
    e4 d c
    d4 f b
  }
  \alternative {
    {
      c4. c,8 d e
    }{
     c'4. g'8 a b
    }
  }

% P 26

  \repeat volta 2 {
    c4. \ff g,8 a b
    c4. g'8 a b
    c8 g, a b c \< g'
    a8 b c aes, bes! c \!
    des2.-. \FFSempre ~
    des2. ~
    des2 c4-.
    des4-. aes-. ges-.
    f4( des' c)
    aes4( c bes)
    ges4( f e!)
    ges2( f4)
    aes2( ges4)
    des4 des'( c)
    ges4 ges'( f)
    des,4 des'( c)
    ges4 ges'( f)
    ges,4 ges'( f)
    g,!4 g'!( f)
    ees4-. d!-. c-.
    bes2. ~
    bes2. ~
    bes2 a4-.
    bes4 f ees
    d4 f bes ~
    bes2.
    g4 d' g ~
    g2.
    c,,4 g' c
  }
  \alternative {
    {
      <f, c' a'>4. g'8 a b
    }{
      \polyphonic {<\tweak Stem.direction #DOWN c, \tweak Stem.direction #DOWN a'>2}{f,4 s}
      r4
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

% P 27

  \TempoIIICoda
  f2. ~
  f2. ~
  f2 e4-.
  f2.->
  f2. \ffz ~
  f2 e4-.
  f2.-> \SemprePiuF ~
  f2 e4-.
  g2.-> ~
  g2 f4-.
  a2-> f4-.
  a2-> f4-.
  a2 bes4
  b2 c4
  cis4-. d-. \< dis-.
  e4-. f-. fis-. \!
  <b, g'>4 \ff r r
  q4 r r
  <c, bes'! g'>4 -\tweak X-offset -2.8 \ff r r
  <c bes' e>4 r r
  <c a' f'>4 r r
  <f c' a'>4 r r
  <f c'>2. ~
  q4 r r

  \bar"|."
}

voiceSaMcViolaII = \new Voice {
  \time 3/4
  \set Staff.instrumentName = \markup {\fontsize #3 "2.Bratsche"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "2.Br."
  }
  \set Staff.midiInstrument = "viola"
  \key f \major
  \clef alto
  \SaMcViolaII
}
