%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Violon I                                          *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SaMcViolinoI =
\relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    c4-. f-. g-.
    a4-. f-. g( \trill
    a4-.)-. f-. bes-.
    a4-. f-. g( \trill
    a4-.) f-. d'-.
    c4-. a-. d8( bes)
    a2 \cresc f'8( d)
    c2 a'8( f)
    d8 e f e f g
    e8 f g f g a
    f8 g a b c d
    e2. \f
  }
  \repeat volta 2 {
    c,4-. \f f-. g( \trill -\tweak font-size -3 ^\markup {\musicglyph #"accidentals.flat"}
    aes2) <c, aes'~>4->_(
    <des aes'>2) <c aes'~>4_(->
    <des aes'>2) <des bes'>4-> ~
    <des bes'>2 \cresc bes'8( c
    bes8 aes g aes) bes4-> ~
    bes2 bes8( c
    bes8 aes g aes) bes4-> ~
    bes2 bes8( c
    bes8 aes g bes) b4-> ~
    b4 g8 b c4-> ~
    c4 \tuplet 3/2 4 {g8( e c} bes16 g e c)
    c4-. \fp f-. g-.
    a4-. f-. g( \trill
    a4-.)-. f-. bes-.
    a4-. f-. g( \trill

    % P 25

    a4-.) f-. d'-.
    c4-. a-. d8( bes)
    a2 \cresc f'8( d)
    c2 a'8( f)
    e2 e8( f
    e8 d c d) e4 ~
    e2 e8( f
    e8 d c d) e4 \PiuCresc ~
    e2 e8( f
    e8 d c d) e[( f]
    e8 d c d) e[ f]
    g8 a bes c d e
    f4 \f r8 c d e
  }
  \alternative {
    {
      f4 r r
    }{
      f4 r8 c, d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    f2 \ff e4
    d2 c4
    bes4-. \trill a-. g-.
    c4. c8 d e
    f2 e4 d2 c4
    b4 \trill a g
    c4 d e
    f4( e) d
  }
  \alternative {
    {
      <e, c' g'>4. c'8 d e
    }{
      <e, c' g'>4. g'8 a b
    }
  }

  % P 26

  \repeat volta 2 {
    c4. \ff g8 a b
    c4. g8 a b
    c8 g a b c \< g
    a8 b c aes bes! c \!
    des2 \FFSempre c4
    bes2 aes4
    ges4 \trill -\tweak font-size -3 ^\markup {\musicglyph #"accidentals.flat"} f-. ees-.
    aes4. aes8 bes c
    des4( f ees)
    c4( ees des)
    bes4( aes g!)
    bes2( aes4)
    ces2( bes4)
    des2( c!4)
    ges'2( f4)
    des2( c4)
    ges'2( f4)
    ges2( f4)
    g!2( f4)
    ees4-. d!-. c-.
    bes2( a4)
    g2( f4)
    ees4 \trill d-. c-.
    f4. f8 g a
    bes2( a4)
    g2( f4)
    g'2( f4)
    e!2( d4)
    c4( bes) g-.
  }
  \alternative {
    {
      f4. g8 a b
    }{
      f2 r4
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

  % P 27

  \TempoIIICoda
  f2 \ff e4
  d2 c4
  bes4-. \trill a-. g-.
  c4. c8 d e
  f2 e4
  d4. c8 e c
  f2-> \SemprePiuF e4
  d4. c8 e c
  g'2-> f4
  e4. d8 f d
  a'4.-> e8 f d
  a'4.-> e8 f d
  a'2 bes4
  b2 c4
  cis4-. d-. \< dis-.
  e4-. f-. fis-. \!
  g8 \ff g g g g g
  g8 g g g g g
  \nOttavaUp
  <c, c'>8 \ff q q q q q
  q8 q q q q q
  \ottava 0
  f,4 r r
  <a, a''>4 r r
  <a, f'>2. ~
  q4 r r

  \bar "|."
}

voiceSaMcViolinoI = \new Voice {
  \time 3/4
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Violine"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Viol"
  }
  \set Staff.midiInstrument = "violin"
  \key f \major
  \clef treble
  \SaMcViolinoI
}
