%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Violon II                                         *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par les violons I :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteViolinoI {

SaMcViolinoII =
\relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    c4-. \mf a-. c-.
    f4-. a,-. c(
    f4)-. a,-. d-.
    c4-. a-. c(
    f4)-. a,-. bes'-.
    a4-. f-. f8( d)
    c2 \cresc d'8( bes)
    a2 a8( d)
    b8 c d c d g,
    c8 d e d e c
    d8 e f g a f
    e2. \f
  }
  \repeat volta 2 {
    r4 r c,-. \f
    f4-. g-. <aes_~ ees'>->(
    <aes f'>2) q4-> ~
    q2 q4->(
    <g ees'>2) \cresc <g des'>4-> ~
    q2 q4-> ~
    q2 q4-> ~
    q2 <g~ des'>4->(
    <g c>2) <c g'>4-> ~
    q2 q4-> ~
    q2 q4-> ~
    q4 \tuplet 3/2 4 {g'8( e c} bes16 g e c)
    c4-. \fp a-. c-.
    f4-. a,-. c(
    f4)-. a,-. d-.
    c4-. a-. c(

    % P 25

    f4)-. a,-. bes'-.
    a4-. f-. f8( d)
    c2 \cresc d'8( bes)
    a2 \polyphonic {e'8( d)}{a4}
    <gis b>2 <b, gis'>4
    <c a'>2 <a' c>4
    <gis b>2 <b, gis'>4
    <c a'>2 <g'! c>4 \PiuCresc
    <g bes!>2 g4
    <g bes>2 g4
    q2 g8 bes
    e8 f g a bes g
    a4 \f r8 c, d e
  }
  \alternative {
    {
      f4 r r
    }{
      f4 r8 c d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    d2 \ff c4 bes2 a4
    g4-. c,-. bes-.
    a4. a'8 bes g
    d'2 c4
    bes2 a4
    g4 c, b
    e4 f g
    b4( g) f
  }
  \alternative {
    {
      e4. c'8 d e
    }{
      e,4. g'8 a b
    }
  }

  % P 26

  \repeat volta 2 {
    c4. \ff g,8 a b
    c4. g'8 a b
    c8 g, a b c \< g'
    a8 b c aes, bes! c \!
    bes'2 \FFSempre aes4
    ges2 f4
    ees4 \trill aes,-. ges-.
    f4. f'8 ges ees
    des4( f ees)
    c4( ees des)
    bes4( aes g!)
    bes2( aes4)
    ces2( bes4)
    des,4 des'( c!)
    ges4 ges'( f)
    des,4 des'( c)
    ges4 ges'( f)
    ges,4 ges'( f)
    g,!4 g'!( f)
    ees4-. d!-. c-.
    g'2( f4)
    ees2( d4)
    c4 \trill f,-. ees-.
    d4. d'8 ees c
    d2( f,4)
    ees'2( d4)
    d2( g,4)
    c'2( bes4)
    a4( g) bes,-.
  }
  \alternative {
    {
      a4. g'8 a b
    }{
      a,2 r4
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

  % P 27

  \TempoIIICoda
  d2 \ff c4
  bes2 a4
  g4-. c,-. bes-.
  a4.a'8 bes g
  d'2 c4
  bes4. a8 g c
  d2-> \SemprePiuF c4
  bes4. a8 g c
  bes2-> d4
  c4. bes8 a d
  c4.-> c8 a d
  c4.-> c8 a d
  a2 bes4
  b2 c4
  cis4-. d-. \< dis-.
  e4-. f-. fis-. \!
  <b, g'>2 \ff <d f>4
  <c e>2 <b d>4
  \polyphonic {<\tweak Stem.direction #DOWN e \tweak Stem.direction #DOWN c'>2}
  {g,4 -\tweak X-offset -2.8 \ff s} <d' bes'!>4
  <c a'>2 <bes g'>4
  <a f'>4 r r
  <a a''>4 r r
  <a, f'>2. ~
  q4 r r

  \bar"|."
}

voiceSaMcViolinoII = \new Voice {
  \time 3/4
  \set Staff.instrumentName = \markup {\fontsize #3 "2.Violine"}
  \tag #'conductorScore \tag #'studyScore {
    \set Staff.shortInstrumentName = "2.Viol."
  }
  \tag #'partScore {\set Staff.shortInstrumentName = ""}
  \set Staff.midiInstrument = "violin"
  \key f \major
  \clef treble
  \SaMcViolinoII
}
