%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Violoncello 1                                     *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par la trompette I II :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteTrombaI \tag #'quoteTrombaII {

SaMcVioloncelloI =
\relative c, {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    \set Staff.midiInstrument = "pizzicato strings"
    c4 \mf \Pizz f c'
    f4 f, c'
    f4 f, bes
    f'4 f, c'
    f4 f, bes
    f'4 f, bes
    f'4 \cresc f, bes
    f'4 f, d
    g4 g' g,
    g'4 g, g'
    g,4 g' g,
    <c, c' g'>4 \f r r
  }
  \repeat volta 2 {
    R1*3/4*3
    \set Staff.midiInstrument = "cello"
    r4 r bes'-. \f \Arco
    ees4-. \cresc f-. g-.
    ees'4-. f-. g-.
    ees,4-. f-. g-.
    ees,4-. f-. g-.
    e''!4-. f-. g-.
    e,4 f g
    e,4 f g
    c,2.
    \set Staff.midiInstrument = "pizzicato strings"
    c4 \fp \Pizz f c'
    f4 f, c'
    f4 f, bes
    f'4 f, c'
    f4 f, bes

    % P 25

    f'4 f, bes
    f'4 \cresc f, bes
    f'4 f, c8 d
    e4 r e'
    a4 a, c,8 d
    e4 r e'
    a4 a, c,8 \PiuCresc g'
    c4 r c
    c'4 c, c8 g'
    c4 c, c8 g'
    c4 c, c'
    <f,, c' f a>4 \f r r
  }
  \alternative {
    {
      q4 r r
    }{
      q4
      \set Staff.midiInstrument = "cello"
      r8 c' \Arco d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    f2.-. \ff
    f,4-. bes-. c-.
    f4 r r
    f,4 a c
    f r r
    f,4 bes c
    g'4 r r
    g,4 c e
    g4 r g,4
  }
  \alternative {
    {
      c4. c8 d e
    }{
      c4. g'8 a b
    }
  }

% P 26

  \repeat volta 2 {
    c4. \ff g,8 a b
    c4. g'8 a b
    c8 g, a b c \< g'
    a8 b c aes bes! c \!
    des2.-. \FFSempre
    des,,4-. ges-. aes-.
    des4-. r r
    des,4 f aes
    des4 aes' des
    des, aes' des
    des,4 aes' des
    des,4 ges aes
    des,4 f ges
    des,4 des'( c)
    ges4 ges'( f)
    des, des'( c)
    ges4 ges'( f)
    ges,4 ges'( f)
    g,!4 g'!( f)
    ees4-. d!-. c-.
    bes4 r r
    bes4-. \ff ees-. f-.
    bes4-. r r
    bes,4 d f
    bes4 r r
    bes,4 ees f
    bes4 r r
    g,4 d' g
    c2 c,4
  }
  \alternative {
    {
      <f, c' a'>4. g'8 a b
    }{
      \polyphonic {<\tweak Stem.direction #DOWN c, \tweak Stem.direction #DOWN a'>2}{f,4 s}
      r4
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

% P 27

  \TempoIIICoda
  f'2.
  f,4-. \ff bes-. c-.
  f4-. r r
  f,4 a c
  f4 r r
  f,4 bes c
  f4 \SemprePiuF r r
  f,4 bes c
  g'4 r r
  g,4 c d
  a'4 r d,
  a4 c d
  a'2 bes4
  b2 c4
  cis4-. d-. \< dis-.
  e4-. f-. fis-. \!
  g2 \ff f4
  e2 d4
  \polyphonic {\tweak Stem.direction #DOWN e2}{<c, g'>4 \ff s} d'4
  c2 bes4
  <f, c' a'> r r
  f'4 r r
  <f, c'>2. ~
  q4 r r

  \bar "||"
}

%{
  ***************************************************************
  * Création des voix                                           *
  ***************************************************************
%}

voiceSaMcVioloncelloI = \new Voice {
  \time 3/4
  \key f \major
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Violoncell"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Vcl."
  }
  \set Staff.midiInstrument = "cello"
  \clef bass
  \SaMcVioloncelloI
}
