%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : mouvement III - Scherzo Vivace                    *
  * Fichier de notes, Violoncello 2                                     *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par la trompette I II :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteTrombaI \tag #'quoteTrombaII {

SaMcVioloncelloII =
\relative c, {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I
  \set Score.alternativeNumberingStyle = #'numbers

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 3/4)
  \TempoIII

  \repeat volta 2 {
    \set Staff.midiInstrument = "pizzicato strings"
    c4 \mf \Pizz f c'
    f4 f, c'
    f4 f, bes
    f'4 f, c'
    f4 f, bes
    f'4 f, bes
    f'4 \cresc f, bes
    f'4 f, d
    g4 g' g,
    g'4 g, g'
    g,4 g' g,
    c,4 \f r r
  }
  \repeat volta 2 {
    R1*3/4*4
    \set Staff.midiInstrument = "cello"
    r4 r bes'-. \f \Arco
    ees4-. \cresc f-. g-.
    ees4-. f-. g-.
    ees,4-. f-. g-.
    e'!4-. f-. g-.
    e4 f g
    e,4 f g
    c,2.
    \set Staff.midiInstrument = "pizzicato strings"
    c4 \fp \Pizz f c'
    f4 f, c'
    f4 f, bes
    f'4 f, c'
    f4 f, bes

    % P 25

    f'4 f, bes
    f'4 \cresc f, bes
    f'4 f, c8 d
    e4 r e'
    a4 a, c,8 d
    e4 r e'
    a4 a, c,8 \PiuCresc g'
    c4 r c
    c'4 c, c,8 g'
    c4 c, c8 g'
    c4 c, c'
    <f, c' f a>4 \f r r
  }
  \alternative {
    {
      q4 r r
    }{
      q4
      \set Staff.midiInstrument = "cello"
      r8 c \Arco d e
    }
  }
  \TempoIIITrio
  \repeat volta 2 {
    f4-. \ff bes-. c-.
    f4-. r r
    f,4 bes c
    f4 r r
    f,4 bes c
    f4 r r
    g,4 c d
    g4 r r
    g,4 d' g
  }
  \alternative {
    {
      e4. c,8 d e
    }{
      e'4. r8 r4
    }
  }

% P 26

  \repeat volta 2 {
    c4. \ff g8 a b
    c,4. r8 r4
    c'8 g a b c, \< g'
    a8 b c, aes' bes! c \!
    des,4-. \FFSempre ges-. aes-.
    des-. r r
    des,4 ges aes
    des4 r r
    des,4 aes' des
    des,4 aes' des
    des,4 aes' des
    des,4 ges aes
    des,4 f ges
    des2( c4)
    ges'2( f4)
    des2( c4)
    ges'2( f4)
    ges2( f4)
    g!2( f4)
    ees4-. d!-. c-.
    bes'4-. \ff ees-. f-.
    bes4-. r r
    bes,4 ees f
    bes4 r r
    bes,4 d f
    bes4 r r
    g,4 bes d
    g4 r r
    c,,4 c' c,
  }
  \alternative {
    {
      f4. r8 r4
    }{
      f2 r4
    }
  }
  \once \override Score.RehearsalMark.direction = #DOWN
  \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \TempoIIIDaCapo
  \break
  \bar "||"

% P 27

  \TempoIIICoda
  f4-. \ff bes-. c-.
  f4-. r r
  f,4 bes c
  f4 r r
  f, bes c
  f4 r r
  f,4 \SemprePiuF bes c
  f4 r c
  g4 bes d
  g4 r d
  a4 c d
  a'4 r d,
  a2 bes4
  b2 c4
  cis4-. d-. \< dis-.
  e4-. f-. fis-. \!
  g4 \ff r r
  <g, f' b>4 r r
  c4 \ff r r
  <c, g' e' c'>4 r r
  f4 r r
  <f c' a'>4 r r
  <f c'>2. ~
  q4 r r
  
  \bar "|."
}

%{
  ***************************************************************
  * Création des voix                                           *
  ***************************************************************
%}

voiceSaMcVioloncelloII = \new Voice {
  \time 3/4
  \key f \major
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Violoncell"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Vcl."
  }
  \set Staff.midiInstrument = "pizzicato strings"
  \clef bass
  \SaMcVioloncelloII
}
