%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement IV - Finale allegro                     *
  * Fichier de notes, Violoncelle 1                                     *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par le cor III IV :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteCornoIII \tag #'quoteCornoIV {

SaMdVioloncelloI =
\relative c' {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \TempoIV

  \bassToTenor
  f8( \PEspressivo
  \set Timing.beamExceptions = #'()
  \set Timing.beatStructure = #'(2)
  bes4 a
  bes4 d,)
  f4 ees8(-. c-.)
  a4( bes)
  c4 \afterGrace d( \trill {c16 d}
  f4) \< \afterGrace ees( \trill {d16 ees}
  g8[ f) bes8-.(c-.)] \!
  bes4( \> a8) \! f( \noBeam
  bes4 a \<
  bes4 d,)
  g4 f8-.( d-.) \!
  b4( \> c) \!
  d4\afterGrace  ees( \trill {d16 ees}
  g4) \<\afterGrace  f( \trill {e16 f}
  aes4 \! g) \>
  a,8.[( bes32 c]) bes8 \! r
  R2*17

  % P 29

  r8 f-.[( \Espr a-. c-.)]
  f4. e8(
  g[ f a, c)]
  f4. e8(
  ges8[ f a, c)]
  ges'8([ \< f des bes')]
  a8([ f) \! ees-.( c-.)]

  \mark \default

  bes4
  \set Staff.midiInstrument = "pizzicato strings"
  \clef bass
  r8 f \Pizz
  r8 \PocoF bes[ d d,]
  r8 f[ r f]
  r8 f[ bes d,]
  r8 f[ r f]
  r8 b[ c f,]
  r8 bes[ r g]
  r8 c[ f, f]
  r8 f \cresc r f
  r8 f[ g g]
  r8 g[ r g]
  r8 g[ bes bes]
  r8 bes r bes
  r8 bes \noBeam
  \set Staff.midiInstrument = "cello"
  \tuplet 3/2 4 {
    \tupletOn
    bes,8 \f -\tweak X-offset 1\Arco des e
    \tupletOff
    \set Timing.beatStructure = #'(1 1)
    bes'8( \> e, bes' des bes e,) \!
    ees'!8( \p c f,)
  }
  bes8 r
  R2*4
  r8 f \p r f
  r8 f r f

  % P 30

  r8 g r f
  r8 g r f
  r8 g -\tweak minimum-length 5 \< f4 \sf ~
  \set Timing.beatStructure = #'(2)
  f2 \p ~
  f8[ aes( g d!])
  c4( d
  e4) g8( d!)
  c4( \< d
  e8) \! r r4
  r8 bes'([ \f e,) e-.]
  e4.( \> f8) \!
  d4.( \p e8)
  cis4.( d8)
  bes4( \> b)
  <<{c2}{s4 s\!}>>

  \mark \default

  r8 c( \pp f g
  a8 bes g f
  g8) c,( g' a
  bes8 c a g
  a8) c,( a' bes
  c8 d bes c)
  a8( bes g a)
  f8( e d b
  c8 g b g
  c8 e) f( \< g
  e8 g f g \!
  e8) r r4
  r8 bes'8[( \f e,) e-.]
  e4.( \> f8) \!
  c8 \p r r4

  % P 31

  r8 bes'8( \f fis) fis-.
  fis4.( \> g8) \!
  d8 \p r r4
  r8 bes'( \f aes) aes-.
  f8-.( \p f-. f-. f-.)
  f8-.( f-. g-. g-.)
  a8 a bes a
  g8 g g g
  c,8 c([-. \PEspress f-. g-.])

  \mark \default

  a4. bes8
  c8.[( d32 c]) bes8 a
  bes4. c8
  d8.[( e32 d]) c8 bes
  c4. d8
  ees!8.[( f32 ees]) d8.( ees32 d)
  c8.[( d32 c]) bes8.( \< c32 bes)
  a8-.( g-. f-. ees-.) \!
  d8( f ees f
  d8 f ees f)
  d8( f) bes( c \<
  a8 c bes c
  a8)\! \noBeam
  \clef tenor
  fis'8( \f g) g-.
  g2 ~
  g8 \> f!( ees d
  c8) \p \noBeam fis( \f g) g-.
  g4( aes) ~
  aes8 \> f( d c \!
  b8) \p \noBeam fis'( \f g) g-.
  g4 \< gis( -\tweak to-barline ##t \> ~
  gis4 \p dis \>
  b4) \!
  \clef bass
  gis4( \PDolce
  a4 gis
  a4 gis)
  R2*2

  % P 32

  ges4( \pp f
  ges4 ees)
  R2*4
  <<{aes,4( g!}{s4 \p -\tweak minimum-length 6 \< s8 s \!}>>
  aes4 \> ges') \!
  aes,4( ges') \<
  a,!4( f') \!
  \set Staff.midiInstrument = "pizzicato strings"

  \mark \default

  r8 f \PocoF \Pizz r f
  r8 bes d f,
  r8 f r f
  r8 f bes d,
  r8 f r f
  r8 b c f,
  r8 bes[ r g]
  r8 c f, f
  r8 f r f
  r8 d' f, bes
  r8 g r g
  r8 g g c,
  r8 bes' bes bes,
  r8 bes' \< bes  \afterGrace bes, {s16 s \!}
  r8 bes' \> bes ees,
  r8 \! f bes, \noBeam r8
  R2
  \set Staff.midiInstrument = "cello"
  \clef tenor
  r8 f'-.( \PEspress \Arco a-. c-.)
  f4. e8(
  g f a, c)
  f4. e8(
  ges8 f a, c)
  ges'8( \cresc f des bes')
  aes8( f des) \! r
  bes4-.( bes-.)
  <<{des2}{s4 -\tweak minimum-length 4.5 \< s8 s16 s \!}>>

  % P 33

  d!4( \PocoF \< ees \noBreak
  d4 bes') \!
  a4( c,)
  ees4( d)
  ees4( d
  b4 c)
  \set Timing.beatStructure = #'(1 1)
  d4( e)
  g4( c,)
  \clef bass
  \set Staff.midiInstrument = "pizzicato strings"
  r8 f, \cresc \Pizz r f
  r8 f g g
  r8 g r g
  r8 g bes bes
  r8 bes r bes
  r8 bes bes bes
  r8 bes r bes \>
  r8 f \! \noBeam bes \p r
  \set Staff.midiInstrument = "cello"

  \mark \default

  R2
  g4-. \f \Arco g-.
  a2->
  fis4-. fis-.
  g4-> ees8-. ees-.
  f4-> d8-. d-.
  e8[-. cis]-. d-. bes-.
  g'4 a
  d,4-> d->
  d'-> d->
  g,4-> g->
  g'4-> g->

  % P 34

  R2
  ees,,4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  d''4.->( \f ees8)
  d,8[( ees f ees])
  c8[( d ees d])
  bes8[( ees g bes])
  ees8[( c aes ees])
  bes8( bes'4) bes8
  bes,8( bes'4) bes8
  bes,8[( ees g bes])
  ees8[( c aes ees])
  bes8( bes'4) bes8
  bes,8( bes'4) bes8
  bes,4 r
  g'4-. \f g-.
  a!2->
  fis4-. fis-.
  g4-> ees8-. ees-.
  f!4-> d8-. d-.
  ees8[-. c]-. d-. bes-.
  c4-> d->
  <g, g'>4-. \ff q-.
  aes'2->
  f4-. f-.
  g2->
  ees8-. ees f4->

  % P 35

  d8-. d-. ees4->
  c8-.-> d-. b-.-> c-.
  d8-.-> ees-. c-. -> d-.
  ees8 f \cresc f g
  g8 aes aes bes
  b8 \ff c b c
  b8 c b c
  c8 des c des
  cis8 d! cis d
  d8-.-> ees-. d-.-> ees-.
  d,8-.-> ees-. d-.-> ees-.
  d8-.-> ees-. d-.-> \dim ees-.
  d-.-> ees-. d-.-> ees-.
  d-. \> ees-. d-. ees-.
  d8-. ees-. d-. ees-. \!
  \set Timing.beatStructure = #'(2)

  \mark \default

  d[-. \p ^\markup {\italic "stacc"} ees]-. d-. ees-.
  e8[-. f]-. d-. ees!-.
  des8-. c-. bes-. des-.
  ees8-. des-. c-. ees-.
  g8[-. aes]-. g-. aes-.
  g8[-. aes]-. g-. aes-.
  f8-. ees-. des-. f-.
  g8-. f-. ees-. f-.
  g8-. aes-. g-. aes-.

  % P 36

  \set Timing.beatStructure = #'(1 1)
  aes,4(-. \p aes-.)
  R2
  aes4(-. aes-.)
  R2
  des,4(-. des-.)
  R2
  des'4(-. des-.)
  R2
  fis,4-> \pp fis->
  R2
  fis'4-> fis->
  R2
  b,4-> \cresc b->
  b'4-> b->
  b,4-> b->

  \mark \default

  d'4-> \ff f,->
  d'4-> f,->
  d'8-. f,-. \noBeam d'-. f,-. \noBeam
  d'8-. f,-. \noBeam d'-. f,-. \noBeam
  \tupletOn
  \tuplet 3/2 4 {bes4( bes,8) \noBeam d( f aes)}
  d8 r r4
  bes,2 \> ~
  <<{bes2}{s4 s8 s \!}>>

  % P 37

  bes2 \p ~
  bes2
  f'2 \dim ~
  f2 ~
  f2 ~
  f2 ~
  f2 ~
  f2 \! ~
  f4 f, ~
  f4 c'8( f,)
  \set Timing.beatStructure = #'(2)

  \mark \default

  bes4 r
  R2*3
  \clef tenor
  c'4 \PDolce \afterGrace d4( \trill {c16 d}
  f4) \afterGrace ees( \trill {d16 ees}
  g8[ f)] bes-.( c-.)
  bes4( a8) r
  R2*4
  d,4 \afterGrace ees( \trill {d16 ees}
  g4) -\tweak to-barline ##t \< \afterGrace f( \trill {e16 f}
  aes4 \> g)\!
  a,!8.[( bes32 c]) bes8 r
  R2
  r8 f(-. a-. c-.)
  f4. e8(
  g8 f a, c)

  % P 38

  f4. e8(
  ges8 f a, c)
  ges'( f des bes')
  aes8( f des) r
  des2
  <<{bes4( cis')}{s4 \< s8 s \!}>>
  b4( \Dolce ais
  b4 dis,)
  fis4 e8-.( cis-.)
  ais4( b)
  cis4 \afterGrace dis( \trill -\tweak font-size -3 -\tweak outside-staff-priority 500
  ^\markup {\musicglyph #"accidentals.natural"}
  {cis16 dis}
  fis4 e)
  R2
  fis4 \afterGrace gis( -\tweak to-barline ##t \< \trill {fis16 gis}
  b4 \> a!) \!
  R2
  b4( a)
  R2
  \clef bass
  d,,4-. d-.
  ees2
  f4-. \p -\tweak minimum-length 5.5 \< bes,-. \!
  <<{ees,2}{s4 \> s8 s \!}>>
  \tuplet 3/2 4 {ees''8-.[ \p d-. c-.] bes-. c-. d-.}
  f4( ees)
  a,4( ees')

  \mark 10

  d4 r4
  R2*8

  % P 39

  r4 c,(
  <<{f,4 c'}{s4 \< s8 s \!}>>
  f,8) r r4
  r8 ees'([ \f a,) a-.]
  a4.( \> bes8) \!
  f8 \p r r4
  r8 ees'([ \f b) b-.]
  b4.( \> c8) \!
  g8 r r4
  r8 ees'([ \f ces) ces-.]
  bes8-.[( \p bes-. bes-. bes-.])
  bes8-.( bes-. c-. c-.)
  d8[ d ees d]
  c8[ c c c]
  f,8 f'-.[( \PEspress bes-. c-.)]

  \mark \default

  d4. ees8
  \clef tenor
  f8.[( g32 f]) ees8 d
  ees4. f8
  g8.[( a32 g]) f8 ees
  f4. g8
  aes8.[( bes32 aes]) g8.( aes32 g)
  f8.[( g32 f]) ees8.( f32 \< ees)
  d8-.( c-. bes-. aes-.) \!
  g8( bes aes bes
  g8 bes aes bes

  % P 40

  g8) bes( ees \< f
  d8 f ees f) \!
  d8 b'([ \f \< c) c-.] \!
  c2 ~
  c8 \> bes( aes g \!
  f8) \p b([ \< c) c-.]
  c4 \! des \f ~
  des8 \> bes( g f \!
  e8) \p b'([ \< c) c-.] \!
  c4( cis)( \f ~
  cis4 \p gis
  e4 \> cis)( \!
  d4 \Dolce cis
  d4 cis)
  R2*2
  \clef bass
  ces4( \pp bes
  ces4 aes)
  R2*14

  \mark \default

  \polyphonicNeutral {bes4( -\tweak height 0.4 \> f'8) \! r}{s4 -\tweak outside-staff-priority 600 \PPDolce}
  \clef tenor
  bes4( \> d,8) \! r

  % P 41

  R2
  a4( \> bes8) \! r
  R2
  f'4( ees8) r
  R2
  bes'4( a8) r
  R2
  bes4( d,8) r
  R2
  b4( c8) r
  R2
  g'4( f8) r
  R2
  a,!8.[( bes32 c]) bes8 r
  R2
  \tupletOn
  \tupletUp
  \tuplet 3/2 4 {
    r8 f(-. a-. c-.[ \Espress a-. c]-.)
  }
  \tupletNeutral
  f4 ~
  \tuplet 3/2 4 {
    f8[ e( f]
    \tupletOff
    g8 f e f[) a,( c]
  }
  f4) ~
  \tuplet 3/2 4 {
    f8 e( f
    ges8 f e f[) a,( c]
    ges' \cresc f e f[ b, d!]
    g!8 f e f[) des( e]
    g8 f e) g[( \f f e])
    g8( f e) f[(-. \< g-. a]-.) \!
  }

  \mark \default

  bes4( \f a
  bes4 d,)
  f4 ees8-.( c-.)
  a4( bes)
  c4 \afterGrace d( \trill {c16 d}
  f4) \afterGrace ees( \trill {d16 ees}
  g8 f) bes8-.( c-.)
  bes4( a8) \noBeam
  \clef bass
  ees,!8
  d4( \cresc ees
  d4) f(

  % P 42

  ees4 f
  ees4) aes(
  g4) bes(
  a!4) c(
  bes4) bes( \f
  g4) ees(
  bes4) ees,(
  aes4 ees'
  f4 g)
  f2
  f4 bes
  bes4 \PiuF bes(
  g4) ees(
  bes4) ees,(
  aes4 bes
  c4 ees)
  e4( f
  ges4 e)
  f2
  f4 bes
  f2
  bes4-. bes,-.
  \polyphonicNeutral {f'4. \dim r8}{s4 -\tweak minimum-length 4.5 -\tweak height 0.6 \> s \!}
  <<{f4. r8}{s4 -\tweak minimum-length 4.5 -\tweak height 0.6 \> s \!}>>
  f2 \p \> ~
  <<{f4. r8}{s4 s \!}>>
  \set Staff.midiInstrument = "pizzicato strings"

  \mark \default

  d4 \p \Pizz d
  d4 r
  ees4 ees
  ees4 r

  % P 43

  ees4 ees
  ees4 r
  ees4 r
  c4 r
  \set Staff.midiInstrument = "cello"
  f4-.( \p \Arco f-.)
  aes2
  ges4 ges
  ges2
  ges4 ges
  ges2 \<
  ges4 ges \! ~
  ges4 \> ges ~
  ges4 \! c,
  \bar "||"
  \TempoIVAnimato
  \set Timing.beatStructure = #'(1 1)
  d4 r
  \noBreak
  \set Staff.midiInstrument = "pizzicato strings"
  c8-. \PPocoMarc \Pizz c-. d-. r
  \noBreak
  R2
  ees8 ees f r
  R2
  bes8 bes g r
  R2
  g8 g ees r
  R2
  d8 d f r
  R2
  f8 f c r
  \set Staff.midiInstrument = "cello"
  r4 c8-. \p \Arco c-.
  d8-. \< r ees-. ees-.
  f8-. r g g
  a8 r bes bes \!

  % P 44

  a8 \> r g g
  f8 r d d \!
  ees8 r b b
  c8 r d d
  ees8 \cresc r b b
  c8 r ees ees
  f8 r cis cis
  d8 r f f
  g8 r d d
  ees8 r g g
  a8 r f f
  a8 r f f
  c'8 \f r f, f
  c'8 r f, f
  bes8 r f-. \ff f-.
  bes,8-. r f-. f-.
  bes8-. r f'-. f-.
  bes,8-. r f-. f-.
  bes8-. r r4
  <f' c'>8 \ff r q r
  bes8 r r4
  f8 r f r
  bes8 r r4
  <bes, f'>8 r r4
  q2 \fermata

  \bar "|."
}

voiceSaMdVioloncelloI = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "1.Violoncell"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "1.Vcl."
  }
  \set Staff.midiInstrument = "cello"
  \key bes \major
  \partial 8
  \clef bass
  \SaMdVioloncelloI
}
