%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : mouvement IV - Finale allegro                     *
  * Fichier de notes, Violoncelle 2                                     *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

% Fichier cité par le cor III IV :
% le \tag #'partscore devient \tag #'partScore \tag #'quoteCornoIII \tag #'quoteCornoIV {

SaMdVioloncelloII =
\relative c {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I

  \tag #'partScore {
    \numberMMFromI
  }
  \elseTag #'partScore {
    \numberMMFromII
  }

  \set Staff.minimumPageTurnLength = #(ly:make-moment 2/4)
  \TempoIV

  r8
  \set Timing.beamExceptions = #'()
  \set Timing.beatStructure = #'(2)
  bes4 \p \Pizz r
  r4 bes
  f4 r
  bes4 r
  f4 r
  r4 a
  bes4 \< g
  f4 \! r8 ees
  d4 ees \<
  d4 aes' \!
  g4 r
  c,4 r
  bes'4 a!
  aes4 \< aes
  d,4 \! ees4 \>
  f4 \! bes
  R2*16

  % P 29

  \set Staff.midiInstrument = "cello"
  d4(-. \PDolce \Arco d)-.
  ees2
  d4-.( d-.)
  ees2
  des4-.( des-.)
  ees2
  des4-.( \< bes-.)
  f2 \!

  \mark \default

  bes2 -\tweak X-offset -3 \PocoF ~
  bes4 bes
  f2
  bes2
  f2 ~
  f4 a(
  bes4) g
  f4. ees8 \cresc
  d4( ees
  d4) f(
  ees4 f
  ees4) aes(
  g4 ges
  f4) e( ~
  \set Timing.beatStructure = #'(1 1)
  e4 \> e') \!
  f4( \p bes,8) r
  \set Staff.midiInstrument = "pizzicato strings"
  r8 f' \p \Pizz r bes
  r8 f r bes
  r8 c, r d
  r8 g r c,
  f,8 \p r bes r
  f8 r bes r

  % P 30

  g8 r a r
  g8 r a r
  g8
  \set Staff.midiInstrument = "cello"
  r8 f4 \sf \Arco ~
  \set Timing.beatStructure = #'(2)
  f2 \p ~
  f4 g
  c,2 ~
  c4 g'
  c,2 ~
  c8 r r4
  r8 bes'([ \f e,) e-.]
  e4.( \> f8) \!
  d4.( \p e8)
  cis4.( d8)
  bes'4( \> b)
  c4( c,) \!

  \mark \default

  f2 \p ~
  f2
  f2 ~
  f2
  f2 ~
  f2
  f2 ~
  f4 g(
  c,4 g'
  c,4) g'( \>
  c,4 g' \!
  c,8) r r4
  r8 bes'8[( \f e,) e-.]
  e4.( \> f8) \!
  c8 \p r r4

  % P 31

  r8 bes'8[( \f fis) fis-.]
  fis4.( \> g8) \!
  d8 \p r r4
  r8 bes'([ \f aes) aes-.]
  f8-.[( \p f-. f-. f-.)]
  f8-.([ f-. g-. g-.)]
  a8[ a bes a]
  g8[ g g g]
  c8[ c c c]

  \mark \default

  f,2 ~
  f2
  f2 ~
  f2
  f2 ~
  f2 ~
  <<{f2 ~}{s4 s8 s \<}>>
  <<{f4 f(}{s4 s8 s \!}>>
  bes4 f
  bes4 f
  bes4) c( \!
  f,4 c' f,8) \! d''([ \f ees!) ees-.]
  ees2 ~
  ees8[ \> d( c bes] \!
  a8) \p d([ \f ees) ees-.]
  ees4( d) ~
  d8[ \> d( b aes] \!
  g8) \p d'([ \f ees) ees-.]
  ees4 \< ~ ees4( -\tweak minimum-length 4.5 -\tweak to-barline ##t \> ~
  ees4 \p ces \>
  aes4) \! fes( \PDolce
  ees4 fes
  ees4 fes)
  R2*4

  % P 32

  <<{a,4( gis}{s4 \p -\tweak minimum-length 6 \< s8 s \!}>>
  a4 \> ges') \!
  R2*2
  <<{aes,4( g!}{s4 \p -\tweak minimum-length 6 \< s8 s \!}>>
  aes4 \> ges') \!
  aes,4( ges') \<
  a,!4( f') \!

  \mark \default

  bes,2 \PocoF ~
  bes4 bes
  f2
  bes2
  f2 ~
  f4 a(
  bes4 g)
  f4. ees8
  d4( ees
  d4) \< aes'( \!
  g4) g(
  c,2)
  bes'4( a!
  aes4) \< aes(
  d,4 \! ees) \>
  f4( bes8) \! r
  d4-.( \PDolce d-.)
  ees2
  d4-.( d-.)
  ees2
  des4-.( des-.)
  ees2
  des4-.( des-.)
  des2
  des4-.( des-.)
  <<{ges,2}{s4 -\tweak minimum-length 4.5 \< s8 s16 s \!}>>

  % P 33

  f4 \PocoF f' ~
  f4 f, ~
  f4 f'
  bes,2
  f4 f' ~
  f4 f,(
  \set Timing.beatStructure = #'(1 1)
  bes4 g)
  f4. ees8 \cresc
  d4( ees
  d4) f(
  ees4 f
  ees4) aes(
  g4 \< ges
  f4) e \! ~
  e4 e' \>
  f4( \! bes,8) \p r

  \mark \default

  R2
  g4-. \f g-.
  a2->
  fis4-. fis-.
  g4-> ees8-. ees-.
  f4-> d8-. d-.
  e8[-. cis]-. d-. bes'-.
  g4 a
  d4-> d->
  d,-> d->
  g'4-> g->
  g,4-> g->

  % P 34

  R2
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  ees4-. ees-.
  ees2->
  d4-. ees-.
  bes'4 r
  g4-. \f g-.
  a!2->
  fis4-. fis-.
  g4-> ees8-. ees-.
  f!4-> d8-. d-.
  ees8[-. c]-. d'-. bes-.
  c,4-> d->
  <g g'>4-. \ff q-.
  aes2->
  f4-. f-.
  g2->
  ees8-. ees f4->

  % P 35

  d8-. d-. ees4->
  c8-.-> d-. b'-.-> c-.
  d,8-.-> ees-. c-. -> d-.
  ees8 f \cresc f g
  g8 aes aes bes
  b8 \ff c b c
  b8 c b c
  c8 des c des
  cis8 d! cis d
  \polyphonic {
    d8-. -> ^\ff ees-. d-. -> ees-.
    d8-. -> ees-. d-. -> ees-.
  }{
    ees,8 s s s
    ees8 s s s
  }
  ees4-> \> r
  ees4-> \! r
  R2*2
  \set Staff.midiInstrument = "pizzicato strings"
  \set Timing.beatStructure = #'(2)

  \mark \default

  aes4-. \p \Pizz aes-.
  aes4-. aes-.
  aes4-. aes-.
  aes4-. aes-.
  aes4-. aes-.
  aes4-. aes-.
  aes4-. aes-.
  aes4-. aes-.
  R2

  % P 36

  \set Timing.beatStructure = #'(1 1)
  aes4 \p aes
  R2
  aes4 aes
  R2
  des,4 des
  R2
  des4 des
  R2
  fis4 \pp fis
  R2
  fis4 fis
  R2
  \set Staff.midiInstrument = "cello"
  b4-> \Arco b->
  R2
  b4-> b->

  \mark \default

  r4 <b aes'>-> \ff
  r4 q->
  r8 q-> r q->
  r8 q-> r q->
  bes!2 \ff ~
  bes2 ~
  bes2 \> ~
  <<{bes2}{s4 s8 s \!}>>

  % P 37

  bes2 \p ~
  bes2
  f2 \dim ~
  f2 ~
  f2 ~
  f2 ~
  f2 ~
  f2 ~
  f2 ~
  f2
  \set Timing.beatStructure = #'(2)

  \mark \default

  bes4 r
  R2*3
  f2 \p ~
  f4 a'(
  bes4 g)
  f4 r
  R2*4
  bes,4( a!
  aes4) \< aes( \!
  d, \> ees) \!
  f4( bes8) r
  d4-.( \p d-.)
  ees2
  d4-.( d-.)
  ees2

  % P 38

  des4-.( des-.)
  ees2
  des4-.( des-.)
  des2
  des4-.( des-.) \<
  <<{ges,2}{s4 s \!}>>
  fis4-.( \p fis-.)
  fis2
  fis4-.( fis-.)
  b2
  fis4-.( fis-.)
  fis'2
  fis2
  b,4(-. \< <<{b-.)}{s8 s16 s \!}>>
  <<{b'2}{s4 \> s \!}>>
  b2
  b,4-.( \cresc b-.)
  c!2
  d,4-. d-.
  ees2
  f'4-. \p bes,-.
  ees,2
  f'4-. \p bes,-.
  ees,4 r
  f4 r

  \mark 10

  bes2 \p ~
  bes2 ~
  bes2 ~
  bes2 ~

  % P 39

  bes2 ~
  bes2 ~
  bes2 ~
  bes4 c,(
  f4 c
  f4) c'(
  <<{f,4 c'}{s4 \< s8 s \!}>>
  f,8) r r4
  r8 ees'([ \f a,) a-.]
  a4.( \> bes8) \!
  f8 \p r r4
  r8 ees'([ \f b) b-.]
  b4.( \> c8) \!
  g8 r r4
  r8 ees'([ \f ces) ces-.]
  bes8-.[( \p bes-. bes-. bes-.])
  bes8-.( bes-. c-. c-.)
  d8[ d ees d]
  c8[ c c c]
  f,8[ f f f']

  \mark \default

  bes,2 ~
  bes2
  bes2 ~
  bes2
  bes2 ~
  bes2 ~
  bes2 \< ~
  bes4 bes( \!
  ees,4) bes'(
  ees,4 bes'

  % P 40

  ees,4) f'4( \<
  bes,4 f') \!
  bes,8 \noBeam
  \clef tenor
  g''8([ \f \< aes) aes-.] \!
  aes2 ~
  aes8[ \> g( f ees] \!
  d8) \p g([ \< aes) aes-.]
  aes4 \! g \f ~
  g8[ \> g( e des] \!
  c8) \p g'([ \< aes) aes-.] \!
  aes4 ~ aes( \f ~
  aes4 \p e
  cis4 \> a!)( \!
  gis4 \Dolce a
  gis4 a)
  R2*4
  \clef bass
  <<{d,,4( cis}{s4 \p \< s8 s \!}>>
  d4 \> ces') \!
  R2*2
  des,4( \p -\tweak minimum-length 5 -\tweak to-barline ##t \< c
  des \> ces') \!
  des,4( \p ces'8) r
  d,!4( bes'8) r
  ees,4( bes'8) r
  ees,4( bes'8) r
  f4( \dim bes8) r
  ges4( bes8) r
  g!4( c8) r
  f,4( f'8) r

  \mark \default

  bes,4 \pp r
  \polyphonicNeutral {bes4( -\tweak height 0.4 \> f'8) \! r}{s4 -\tweak outside-staff-priority 600 \Dolce}

  % P 41

  R2
  f4(\> bes,8) \! r
  R2
  b4( c8) r
  R2
  g4( f8) r
  R2
  d4( aes'8) r
  R2
  <g d'>4( c,8) r
  R2
  <bes' aes'>4( bes8) r
  R2
  f4( bes8) r
  R2
  \set Staff.midiInstrument = "pizzicato strings"
  f'4 \p \Pizz f
  f,4 r
  f'4 f
  f,4 r
  f'4 f
  f,4 \cresc f'8 f
  f,4 f'8 f
  f,8 f' f,4 \f
  r4 f'8 f

  \mark \default

  bes,4 \PocoF f'8 f
  bes,4 bes8 bes
  f4 f'8 f
  bes,4 f'8 f
  f,4 f'8 f
  f,4 f'8 f
  bes,4 g8 g
  f4 f8 ees!
  d4 ees8 ees
  d4 f8 f

  % P 42

  ees4 f8 f
  ees4 aes8 aes
  g4 bes8 bes
  a!4 c8 c
  bes4 bes'8 \f bes
  g4 ees8 ees
  bes4
  \set Staff.midiInstrument = "cello"
  ees,4( \f \Arco
  aes4 ees'
  f4 g)
  f2
  f4 bes
  bes4 \PiuF bes(
  g4) ees(
  bes4) ees,(
  aes4 bes
  c4 ees)
  e4( f
  ges4 e)
  f2
  f4 bes
  f2
  bes4-. bes,-.
  \polyphonicNeutral {f'4. \dim r8}{s4 -\tweak minimum-length 4.5 -\tweak height 0.6 \> s \!}
  <<{f4. r8}{s4 -\tweak minimum-length 4.5 -\tweak height 0.6 \> s \!}>>
  f,2 \p \> ~
  <<{f4. r8}{s4 s \!}>>
  \set Staff.midiInstrument = "pizzicato strings"

  \mark \default

  bes4 \p \Pizz bes
  bes4 r
  bes4 bes
  bes4 r

  % P 43

  bes4 bes
  bes4 r
  bes4 r
  bes4 r
  \set Staff.midiInstrument = "cello"
  bes4-.( \p \Arco bes)-.
  bes2
  bes4 bes
  bes2
  bes4 bes
  bes2 \<
  bes4 bes \! ~
  bes4 \> bes ~
  bes4 bes \!
  \bar "||"
  \TempoIVAnimato
  \set Timing.beatStructure = #'(1 1)
  bes4 r
  \noBreak
  \set Staff.midiInstrument = "pizzicato strings"
  f8-. \PPocoMarc \Pizz f-. bes-. r
  \noBreak
  R2
  c8 c d r
  R2
  g8 g ees r
  R2
  ees8 ees c r
  R2
  f,8 f d' r
  R2
  c8 c f, r
  \set Staff.midiInstrument = "cello"
  r4 f8-. \p \Arco f-.
  bes8-. \< r c-. c-.
  d8-. r ees ees
  f8 r g g \!

  % P 44

  f8 \> r ees ees
  d8 r b b \!
  c8 r gis gis
  a8 r b b
  c8 \cresc r gis gis
  a8 r c c
  d8 r a a
  bes8 r d d
  ees8 r b b
  c8 r ees ees
  f8 r f, f
  f'8 r f, f
  f'8 \f r f, f
  f'8 r f, f
  bes8 r f'-. \ff f-.
  bes,8-. r f-. f-.
  bes8-. r f'-. f-.
  bes,8-. r f-. f-.
  bes8-. r r4
  f'8 \ff r f r
  bes,8 r r4
  f8 r f r
  bes8 r r4
  bes8 r r4
  bes2 \fermata

  \bar "|."
}

voiceSaMdVioloncelloII = \new Voice {
  \time 2/4
  \set Staff.instrumentName = \markup {\fontsize #3 "2.Violoncell"}
  \tag #'partScore {
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partScore {
    \set Staff.shortInstrumentName = "2.Vcl."
  }
  \set Staff.midiInstrument = "pizzicato strings"
  \key bes \major
  \partial 8
  \clef bass
  \SaMdVioloncelloII
}
