%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  * Ver 1 : 18/01/2018                                                  *
  *                                                                     *
  * Sextet      N°6 : partition de poche                                *
  *                                                                     *
  * Pas de Midi généré                                                  *
  *                                                                     *
  * *****************************                                       *
  * *   Fichier principal       *                                       *
  * *****************************                                       *
  *                                                                     *
  ***********************************************************************
%}

%{
  *******************************************************************************
  *                                                                             *
  * IMPORTANT                                                                   *
  *                                                                             *
  * La partition au format d'étude est prévue pour une impression               *
  * en mode "livret" sur papier A4 - et donc avec un résultat au format A5.     *
  *                                                                             *
  * Pour l'impression, utiliser Acrobat Reader à partir de la version 8,        *
  * ou un programme équivalent (PDF-Viewer - gratuit)                           *
  *                                                                             *
  * IMPORTANT                                                                   *
  *                                                                             *
  * This study score is scheduled for printing in "booklet" on A4 paper -       *
  * and therefore with an A5 result.                                            *
  *                                                                             *
  * To print this document, use Acrobar Reader, version 8 or greater,           *
  * or other equivalent program so "PDF-Viewer" - free                          *
  *                                                                             *
  *******************************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"

#(set-default-paper-size "a5")

\include  "Common\Paper-study.ly"

partShort = "Std"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\include "articulate.ly" 

\include "Common\Variables.ly"
\include "Common\Declarations.ly"
\include "common\dimension-study.ly"

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_Tempi.ly"  % tempi

\include "BrahmsSEXT1M1\Declaration_1.ly"

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violino_I.ly"
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violino_II.ly"
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Viola_I.ly"
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Viola_II.ly"
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violoncello_I.ly"
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violoncello_II.ly"

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_StavesStudy.ly"

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_Tempi.ly"  % tempi

\include "BrahmsSEXT1M2\Declaration_2.ly"

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violino_I.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violino_II.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Viola_I.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Viola_II.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violoncello_I.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violoncello_II.ly"

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_StavesStudy.ly"

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_Tempi.ly"  % tempi

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violino_I.ly"
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violino_II.ly"
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Viola_I.ly"
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Viola_II.ly"
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violoncello_I.ly"
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violoncello_II.ly"

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_StavesStudy.ly"

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_Tempi.ly"  % tempi

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violino_I.ly"
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violino_II.ly"
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Viola_I.ly"
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Viola_II.ly"
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violoncello_I.ly"
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violoncello_II.ly"

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_StavesStudy.ly"

\include "Common\Cover-study.ly"

Footer = \markup {
  \raise #3
  \fill-line {\abs-fontsize #8 \thisEdition }
}

#(set-global-staff-size Dimension_cover)

\book {

  % Couverture

  \bookpart {
    \CouvertureA
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Table des matières

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageToc
  }

  % Orchestration

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \PageOrch
  }

  % Remarques éditoriales

  \bookpart {
    \paper {
      print-page-number = ##t
    }
    \EditorialRemark
  }

  % Page blanche

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Mouvements

  \bookpart {
    % autoriser les headers et footers
    \paper {
      print-page-number = ##t
      oddFooterMarkup = \Footer
      evenFooterMarkup = \Footer
    }

    \include "BrahmsSEXT1M1\BrahmsSEXT1M1_Titre_Pri.ly"  % titres

    \label #'MvmtI
    \markup {\fill-line {\fontsize #3 \lower#3 \bold "I"}}
    \noPageBreak
    \score {
      \keepWithTag #'studyScore
      \new StaffGroup
      <<
        \new GrandStaff
        <<
          \staffSaMaViolinoI
          \staffSaMaViolinoII
        >>
        \new GrandStaff
        <<
          \staffSaMaViolaI
          \staffSaMaViolaII
        >>
        \new GrandStaff
        <<
          \staffSaMaVioloncelloI
          \staffSaMaVioloncelloII
        >>
      >>

      \layout {
        #(layout-set-staff-size 9)
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
          \override Hairpin.to-barline = ##f
          \override DynamicLineSpanner.style = #'none
          \override TupletBracket.bracket-visibility = ##f
        }
      }
    }

    \score {
 %     \unfoldRepeats \articulate <<
        \keepWithTag #'studyScore
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSaMaViolinoI
            \staffSaMaViolinoII
          >>
          \new GrandStaff
          <<
            \staffSaMaViolaI
            \staffSaMaViolaII
          >>
          \new GrandStaff
          <<
            \staffSaMaVioloncelloI
            \staffSaMaVioloncelloII
          >>
        >>
%     >>

      \midi {
        \tempo 4 = 120
      }
    }

    \header {
      opus = ##f
    }

    \label #'MvmtII

    \markup {\fill-line {\fontsize #3 \lower#3 \bold "II"}}
    \noPageBreak
    \score {
      \keepWithTag #'studyScore
      \new StaffGroup
      <<
        \new GrandStaff
        <<
          \staffSaMbViolinoI
          \staffSaMbViolinoII
        >>
        \new GrandStaff
        <<
          \staffSaMbViolaI
          \staffSaMbViolaII
        >>
        \new GrandStaff
        <<
          \staffSaMbVioloncelloI
          \staffSaMbVioloncelloII
        >>
      >>

      \layout {
        #(layout-set-staff-size 9)
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
          \override Hairpin.to-barline = ##f
          \override DynamicLineSpanner.style = #'none
          \override TupletBracket.bracket-visibility = ##f
        }
      }
    }

    \score {
%      \unfoldRepeats \articulate <<
        \keepWithTag #'studyScore
        \new StaffGroup
        <<
          \new GrandStaff
          <<
            \staffSaMbViolinoI
            \staffSaMbViolinoII
          >>
          \new GrandStaff
          <<
            \staffSaMbViolaI
            \staffSaMbViolaII
          >>
          \new GrandStaff
          <<
            \staffSaMbVioloncelloI
            \staffSaMbVioloncelloII
          >>
        >>
%      >>

      \midi {
        \tempo 4 = 52
      }
    }

    \label #'MvmtIII
    \markup {\fill-line {\fontsize #3 \lower#3 \bold "III"}}

    \noPageBreak
    \score {
      \keepWithTag #'studyScore
      \new StaffGroup <<
        \new GrandStaff
        <<
          \staffSaMcViolinoI
          \staffSaMcViolinoII
        >>
        \new GrandStaff
        <<
          \staffSaMcViolaI
          \staffSaMcViolaII
        >>
        \new GrandStaff
        <<
          \staffSaMcVioloncelloI
          \staffSaMcVioloncelloII
        >>
      >>

      \layout {
        #(layout-set-staff-size 9)
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
          \override Hairpin.to-barline = ##f
          \override DynamicLineSpanner.style = #'none
          \override TupletBracket.bracket-visibility = ##f
        }
      }
    }

    \score {
%      \unfoldRepeats \articulate <<
        \keepWithTag #'studyScore
        \new StaffGroup
        \new GrandStaff
        <<
          <<
            \staffSaMcViolinoI
            \staffSaMcViolinoII
          >>
          \new GrandStaff
          <<
            \staffSaMcViolaI
            \staffSaMcViolaII
          >>
          \new GrandStaff
          <<
            \staffSaMcVioloncelloI
            \staffSaMcVioloncelloII
          >>
        >>
%      >>

      \midi {
        \tempo 4 = 180
      }
    }

    \label #'MvmtIV
    \markup {\fill-line {\fontsize #3 \lower#3 \bold "IV"}}
    \noPageBreak
    \score {
      \keepWithTag #'studyScore
      \new StaffGroup
      <<
        \new GrandStaff
        <<
          \staffSaMdViolinoI
          \staffSaMdViolinoII
        >>
        \new GrandStaff
        <<
          \staffSaMdViolaI
          \staffSaMdViolaII
        >>
        \new GrandStaff
        <<
          \staffSaMdVioloncelloI
          \staffSaMdVioloncelloII
        >>
      >>

      \layout {
        #(layout-set-staff-size 9)
        \context {
          \Score
          \override BarLine.layer = #-4
        }
        \context {
          \Staff
          \override BarLine.layer = #-4
        }
        \context {
          \Voice
          \override TextScript.whiteout = ##t
          \override TextScript.layer = #4
          \override DynamicText.whiteout = ##t
          \override DynamicText.layer = #4
          \override DynamicTextSpanner.whiteout = ##t
          \override DynamicTextSpanner.layer = #4
          \override Hairpin.to-barline = ##f
          \override DynamicLineSpanner.style = #'none
          \override TupletBracket.bracket-visibility = ##f
        }
      }
    }

    \score {
%      \unfoldRepeats \articulate <<
        \keepWithTag #'studyScore
        \new StaffGroup
        \new GrandStaff
        <<
          <<
            \staffSaMdViolinoI
            \staffSaMdViolinoII
          >>
          \new GrandStaff
          <<
            \staffSaMdViolaI
            \staffSaMdViolaII
          >>
          \new GrandStaff
          <<
            \staffSaMdVioloncelloI
            \staffSaMdVioloncelloII
          >>
        >>
%      >>
      \midi {
        \tempo 4 = 108
      }
    }
  }

  % suppression de la \tagline, elle est comprise dans la couverture D
  \header {
    opus = ##f
    tagline = ##f
  }

  % Pages blanches éventuelle - il faut arriver à un multiple de 4
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 3

  \bookpart {
    \paper {
      % Pas d'encadrement, cadrage constitué par les marges
      print-page-number = ##f
    }
    \CouvertureC
  }

  % Page blanche pour arriver à un nombre multiple de 4
  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \markup {\null}
  }

  % Couverture 4

  \bookpart {
    \paper {
      print-page-number = ##f
    }
    \CouvertureD
  }
}
