%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : parties séparées : Alti                           *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
%\include "articulate.ly"

Part = "2.Bratsche"
partShort = "2.Br"

\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"
\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Viola_II.ly"

staffSaMaViolaII = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMaViolaII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M2\Declaration_2.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Viola_II.ly"

staffSaMbViolaII = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMbViolaII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Viola_II.ly"

staffSaMcViolaII = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMcViolaII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Viola_II.ly"

staffSaMdViolaII = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMdViolaII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#3 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMaViolaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }
  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMaViolaII
%    >>
    \midi {
      \tempo 4 = 172
    }
  }

  \label #'MvmtII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMbViolaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMbViolaII
%    >>
    \midi {
      \tempo 2. = 80
    }
  }

  \label #'MvmtIII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMcViolaII

    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMcViolaII
%    >>
    \midi {
      \tempo 4 = 40
    }
  }

  \label #'MvmtIV

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMdViolaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMdViolaII
%    >>
    \midi {
      \tempo 4 = 144
    }
  }
}
