%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : parties séparées : Violons 1                      *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
%\include "articulate.ly"

Part = "1.Violin"
partShort = "Vl1"

\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"
\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M1\Declaration_1.ly"

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violino_I.ly"

staffSaMaViolinoI = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMaViolinoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M2\Declaration_2.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violino_I.ly"

staffSaMbViolinoI = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMbViolinoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violino_I.ly"

staffSaMcViolinoI = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMcViolinoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violino_I.ly"

staffSaMdViolinoI = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMdViolinoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  % Partition proprement dite

  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#3 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMaViolinoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }
  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMaViolinoI
%    >>
    \midi {
      \tempo 4 = 172
    }
  }

  \label #'MvmtII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMbViolinoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMbViolinoI
%    >>
    \midi {
      \tempo 2. = 80
    }
  }

  \label #'MvmtIII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMcViolinoI

    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMcViolinoI
%    >>
    \midi {
      \tempo 4 = 40
    }
  }

  \label #'MvmtIV

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMdViolinoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMdViolinoI
%    >>
    \midi {
      \tempo 4 = 144
    }
  }
}
