%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : parties séparées : Violons 2                      *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
%\include "articulate.ly"

Part = "2.Violin"
partShort = "Vl2"

\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"
\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violino_II.ly"

staffSaMaViolinoII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMaViolinoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M2\Declaration_2.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violino_II.ly"

staffSaMbViolinoII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMbViolinoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violino_II.ly"

staffSaMcViolinoII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMcViolinoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violino_II.ly"

staffSaMdViolinoII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMdViolinoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  % Partition proprement dite

  \label #'MvmtI

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMaViolinoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }
  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMaViolinoII
%    >>
    \midi {
      \tempo 4 = 172
    }
  }

  \label #'MvmtII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMbViolinoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMbViolinoII
%    >>
    \midi {
      \tempo 2. = 80
    }
  }

  \label #'MvmtIII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMcViolinoII

    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMcViolinoII
%    >>
    \midi {
      \tempo 4 = 40
    }
  }

  \label #'MvmtIV

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMdViolinoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMdViolinoII
%    >>
    \midi {
      \tempo 4 = 144
    }
  }
}
