%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Sextet      N°6 : parties séparées : Violoncelle                    *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
%\include "articulate.ly"

Part = "2.Violoncell"
partShort = "2.Vcl"

\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"
\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M1\BrahmsSEXT1M1_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M1\BrahmsSEXT1M1_music-Violoncello_II.ly"

staffSaMaVioloncelloII = \new Staff \with { \consists "Page_turn_engraver" }{\voiceSaMaVioloncelloII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M2\BrahmsSEXT1M2_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M2\Declaration_2.ly"
\include "BrahmsSEXT1M2\BrahmsSEXT1M2_music-Violoncello_II.ly"

staffSaMbVioloncelloII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMbVioloncelloII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M3\BrahmsSEXT1M3_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M3\BrahmsSEXT1M3_music-Violoncello_II.ly"

staffSaMcVioloncelloII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMcVioloncelloII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "BrahmsSEXT1M4\BrahmsSEXT1M4_Tempi_parts.ly"  % tempi
\include "BrahmsSEXT1M4\BrahmsSEXT1M4_music-Violoncello_II.ly"

staffSaMdVioloncelloII = \new Staff \with { \consists "Page_turn_engraver" } {\voiceSaMdVioloncelloII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#3 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMaVioloncelloII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }
  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMaVioloncelloII
%    >>
    \midi {
      \tempo 4 = 172
    }
  }

  \label #'MvmtII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMbVioloncelloII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMbVioloncelloII
%    >>
    \midi {
      \tempo 2. = 80
    }
  }

  \label #'MvmtIII

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMcVioloncelloII

    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMcVioloncelloII
%    >>
    \midi {
      \tempo 4 = 40
    }
  }

  \label #'MvmtIV

  \markup {\fill-line {\fontsize #3 \lower#3 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSaMdVioloncelloII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \Staff
        % Epaisseur des tracés
        \override StaffSymbol.thickness = 1.3
        \override DynamicLineSpanner.staff-padding = 1  % Alignement (min) des nuances par rapport à la portée
      }
    }
  }

  \score {
%    \unfoldRepeats \articulate <<
      \keepWithTag #'partScore
      \staffSaMdVioloncelloII
%    >>
    \midi {
      \tempo 4 = 144
    }
  }
}
