%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Construction de la couverture à insérer en en-tête du fichier de    *
  * partition directrice - modifier les proportion si modification de   *
  * set-global-staff-size                                               *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Text.ly"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                        %%
%%      Couverture et pages de garde      %%
%%            Merci à Cécile              %%
%%                                        %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Fichier restructuré le 19/01/2017 pour un meilleur cadrage des couvertures
% La mise en forme des textes est revue pour supprimer les messages d'avertissement :
% \vspace #0 devient   \combine \null \vspace #0.6

% Infos générales
% Les variables suivantes sont initialisées dans le fichier Variables.ly

Compositeur = \thisComposer
Dates = \thisDates
Titre = \thisWork
FromPublisher = \thisSource
FromAlternatePublisher = \thisAlternateSource
InfoRecueil = \thisOpus
DateRecueil = \thisDateOfPublication
SousTitre = \thisSubTitle
catalogIdentification = \thisCatalogIdentification
DateEdition = \thisDateEdition
Tonality = \thisTonality
Duration = \thisDuration

Genre = "Full Score"

Toc = "Table of contents"

Instrument = "String quartet"

%%% Commandes markup pour la page de couverture
%   Titre du recueil
#(define-markup-command (couv_recueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 45 #:medium name)))
%   Info supplémentaire sur le recueil (n° d'Opus)
#(define-markup-command (couv_infoRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Tonalité
#(define-markup-command (couv_infoTonality_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Date du recueil
#(define-markup-command (couv_dateRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Titre du morceau
#(define-markup-command (couv_title_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 42 #:medium #:smallCaps name)))
%   Sous-titre du morceau
#(define-markup-command (couv_subtitle_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 25 #:italic #:medium name)))
%   Compositeur
#(define-markup-command (couv_compositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 38 name)))
%   Dates du compositeur
#(define-markup-command (couv_datesCompositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 17 name)))
%   Genre
#(define-markup-command (couv_genre_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 28 name)))

%   Durée
#(define-markup-command (couv_duration layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 12 name)))

%%% Commande de la table des matières

%   Titre du morceau
#(define-markup-command (couv_title_settings_toc layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 25 #:medium #:smallCaps name)))

#(define-markup-command (toc-line layout props label text) (symbol? markup?)
   (interpret-markup layout props(markup #:abs-fontsize 14  #:fill-line (text #:page-ref label "8" "?"))))

#(define-markup-command (Toc-Header layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 17 name)))
%   From Publisher
#(define-markup-command (couv_fromPublisher_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 10 #:medium name)))
%   From Alternate Publisher
#(define-markup-command (couv_fromAlternatePublisher_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 12 #:medium name)))
%   Instrumentation
#(define-markup-command (instrumentation_settings layout props name) (string?)
   (interpret-markup layout props (markup #:italic #:bold #:abs-fontsize 24 #:medium name)))

%%% Création des pages spéciales

couvfromPublisher = \markup \couv_fromPublisher_settings #FromPublisher
couvinfoRecueil = \markup \couv_infoRecueil_settings #InfoRecueil
couvTonality = \markup \couv_infoTonality_settings #Tonality
couvdateRecueil = \markup \couv_dateRecueil_settings #DateRecueil
couvTitre = \markup \couv_title_settings #Titre
couvSubtitle = \markup \couv_subtitle_settings #SousTitre
couvCompositeur = \markup \couv_compositeur_settings #Compositeur
couvDates = \markup \couv_datesCompositeur_settings #Dates
couvDuration = \markup \couv_duration #Duration
couvSigle = \markup {\epsfile #X #50 #"./Common/DigiClassic.eps"}
couvVolutes = \markup {\epsfile #X #50 #"./Common/Volutes.eps"}
couvVolutesI = \markup {\epsfile #X #50 #"./Common/VolutesI.eps"}
couvSigleMini = \markup {\epsfile #X #25 #"./Common/DigiClassic.eps"}
couvGenre = \markup \couv_genre_settings #Genre

TocTitre = \markup \couv_title_settings_toc #Titre
TocLigne = \markup \Toc-Header #Toc
Instrumentation = \markup \instrumentation_settings #Instrument

%%% Couverture principale

CouvertureA = \markup {
  \fill-line {
    \override #'(line-width . 151)
    \column {
      \fontsize #3 \bold \override #'(box-padding . 0.0)  \override #'(thickness . 4.0)
      \box
      \column {
        \fill-line {\lower #29 \couvCompositeur}
        \fill-line {\lower #12 \couvDates}
        \fill-line {\lower #15 \couvVolutes}
        \fill-line {\lower #18 \couvTitre}
        \fill-line {\lower #12 \couvTonality}
        \fill-line {\lower #12 \couvinfoRecueil}
        %\fill-line {\lower #11 \couvSubtitle} % Désactiver si chaîne nulle
        \vspace #3.3 % activer si chaîne nulle
        \fill-line {\lower #9 \draw-line #'(20 . 0)}
        \fill-line {\lower #13 \couvdateRecueil}
        \fill-line {\lower #21 \couvVolutesI}
        \fill-line {\lower #17 \couvGenre}
        \fill-line {\lower #38 \couvSigle}
        \vspace #3.7
      }
    }
  }
}

%%% Table des matières

PageToc = \markup {
  \fill-line {
    \override #'(line-width . 151)
    \column {
      \fontsize #3 \override #'(box-padding . 1.0) \override #'(thickness . 4.0)
      \box
      \column {
        \fill-line {\lower #27 \couvCompositeur}
        \fill-line {\lower #17 \couvDates}
        \fill-line {\lower #17 \TocTitre}
        \fill-line {\lower #12 \couvTonality}
        \fill-line {\lower #12 \couvinfoRecueil}
        \fill-line {\lower #28 \TocLigne}
        \fill-line {\lower #4 \draw-line #'(38 . 0)}
        \fill-line {\override #'(line-width . 100) \lower #10 \toc-line #'MvmtI \MvmtI}
        \fill-line {\override #'(line-width . 100) \lower #6 \toc-line #'MvmtII \MvmtII}
        \fill-line {\override #'(line-width . 100) \lower #6 \toc-line #'MvmtIII \MvmtIII}
        \fill-line {\override #'(line-width . 100) \lower #6 \toc-line #'MvmtIV \MvmtIV}
        \fill-line {\lower #8 \draw-line #'(38 . 0)}
        \fill-line {\lower #30.2 \couvfromPublisher}
        \fill-line {\lower #8 \couvGenre}
        \vspace #4
        \fill-line {
          " "
          \override #'(thickness . 2.0)
          \box
          \column {
            \italic \medium \abs-fontsize #11 \thisTypesetting
            \italic \medium \abs-fontsize #11 \thisLocation
          }
        }
      }
    }
  }
}

%%% Page d'orchestration

PageOrch = \markup {
  \fill-line {
    \override #'(line-width . 151)
    \column {
      \override #'(box-padding . 0.0) \override #'(thickness . 4.0)
      \box
      \column {
        \fill-line {\lower #19.4 \couvCompositeur}
        \fill-line {\lower #15 \bold \TocTitre}
        \fill-line {\lower #10 \couvTonality}
        \fill-line {\lower #12 \bold \couvinfoRecueil}
        \vspace #1
        %\fill-line {\lower #11 \couvSubtitle} % Désactiver si chaîne nulle
        \vspace #6.4 % activer si chaîne nulle
        \vspace #1.5
        \fill-line {\lower #3 \draw-line #'(47 . 0)}
        \vspace #2
        \fill-line {\lower #15 \abs-fontsize #18 "Violin I - Violin II - Viola I"}
        \fill-line {\lower #15 \abs-fontsize #18 "Viola II - Cello I - Cello II"}
        \fill-line {\lower #50 \couvDuration}
        \fill-line {\lower #20 \couvVolutes}
        \vspace #8.2
      }
    }
  }
}

%%% Remarques éditoriales

EditorialRemark =
\markup \override #'(line-width . 140) \fill-line {
  \abs-fontsize #10
  % First column:
  \override #'(line-width . 67)
  \editorialEng
  \combine \null \vspace #0.6

  % Second column
  \abs-fontsize #10
  \override #'(line-width . 67)
  \editorialFr
  \combine \null \vspace #0.6
}

%%% Couverture 3

CouvertureC = \markup {
  \fill-line {
    \override #'(line-width . 140) {
      \abs-fontsize #10
      % First column:
      \override #'(line-width . 67)
      \mutopiaEng
      \combine \null \vspace #0.6

      % Second column
      \abs-fontsize #10
      \override #'(line-width . 67)
      \mutopiaFr
      \combine \null \vspace #0.6
    }
  }
}

% Couverture 4

\include "Common\Catalog.ly"

blocTitre = \markup {
  \column {
    \abs-fontsize #13 \bold {
      \fill-line {\lower #5 \line {\thisComposer "  (" \thisDates ")"}}
      \fill-line {\lower #5 \line {\thisWork "  -  " \thisTonality "  -  " \InfoRecueil}}
      \fill-line {\lower #5 \SousTitre}
      \fill-line {\lower #20 \couvSigleMini}
    }
  }
}

blocAvailable = \markup {
  \hspace #15
  \abs-fontsize #9.5
  \column {
    \bold \concat {"Also available on " \with-url #thisDirectUrl \thisDirectUrl " :"}
    #(string-append "-   Source Code (for LilyPond Software " (lilypond-version) ")")
    \listConductor
    \listParts
    \italic \listPartsI
    \italic \listPartsII
    \italic \listPartsIII
  }
}

blocPermission = \markup {
  \override #'(box-padding . 3.0)
  \override #'(thickness . 1.5)
  \box \column {
    \center-align {
      \line {
        "Music typeset and placed in the public domain"
      }
      \line {
        "(under GNU license) by J.F. Lucarelli"
      }
      \line {
        \with-url #thisWebSite \thisWebSite
      }
      \line {
        "Unrestricted modification and redistribution permitted and encouraged."
      }
      \line {
        "Copy this music and share it!"
      }
      \line {
        "Send comments or remarks to " \with-url #thisMail \thisAddress
      }
      \line {
        \italic
        #(string-append "Engraved with LilyPond " (lilypond-version))
      }
      \line {
        \italic \with-url #lilypondWebSite \lilypondWebSite
      }
    }
  }
}

blocLilypond = \markup {
  \abs-fontsize #13 \italic
  \column {
    \fill-line {"LilyPond is a free Software available"}
    \fill-line {"under GNU License"}
  }
}

blocIdentification = \markup {
  \abs-fontsize #8
  \column {
    \hspace #8
    \lower #2.5  \tagVersion
  }
}

%%% Page 4

Conductor_Catalog = \markup {
  \override #'(line-width . 135 )
  \Catalog
}

CouvertureD = \markup {
  \fill-line {

\column {
      \override #'(line-width . 151)
      \override #'(box-padding . 0.0)
      \override #'(thickness . 4.0)
      \box \override #'(box-padding . 2.3) {
        \column {
          \fontsize #4 \bold
          \fill-line {
            \lower #7
            \blocTitre
          }
          \fill-line {
            \lower #9
            \blocAvailable
          }
          \fill-line {
            \lower #5
            \blocLilypond
          }
          \lower #17.4
          \fill-line {\Conductor_Catalog}
          \lower #8
          \fill-line {
            \lower #5
            \blocPermission
          }
          \lower #7.5
          \blocIdentification
          \null
        }
      }
    }
  }
}
