%{
  ***********************************************************************
  * Brahms - Sextuor nr 1                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 11/02/2018 - xx/xx/2018                                             *
  *                                                                     *
  * Textes repris dans les remarques éditoriales et dans la référence   *
  * à Mutopia.org                                                       *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

editorialEng = \markup {
  \column {
    \line \bold \smallCaps \magnify #1.4 {Editorial remarks}
    \vspace #1.2
    \justify \italic {
      • This transcription is engraved from the complete edition of Brahms's works, «Johannes Brahms:
      Sämtliche Werke, Band 7 - Leipzig: Breitkopf & Härtel, 1926-27. Plate J.B. 17.».
      It is also intended to be as faithful to the original as possible, including the
      exact position of dynamics, hairpins, articulations, tremolos, beams, acchordic or polyphonic notation,
      etc.
    }
    \vspace #1.2
    \justify \italic {
      • Separate parts are engraved from the edition  «Edition SIMROCK nr.603». The rehearsal marks,
      which are not present in the reference edition, are taken from the edition 
      «Bonn: N. Simrock, n.d.[1862] (1861?). Plate 6202.»
    }
    \vspace #1.2
    \justify \italic {
     Trills of which the second note is altered have this alteration placed UNDER the sign of the trill according
      to the treaty of «Music Theory» by A. Danhauser (1996).
    }
    \vspace #1.2
    \justify \italic {
      • The letter ‘I’ in the rehearsal marks is skipped in accordance with engraving traditions.
    }
    \vspace #1.2
    \justify \italic {
      • Rehearsal marks, absent from the reference edition, are taken from separate parts.
    }
    \vspace #1.2
    \justify \italic {
      • During the rehearsals, measures in the first rehearsal box are not counted as usual
      (A. Danhauser «Theory of Music» 1996 - Jean-Pierre Coulon, «Sottigra» 2005)
    }
    \vspace #1.2
  }
}

editorialFr = \markup {
  \column {
    \line \bold \smallCaps  \magnify #1.4 {Notes éditoriales}
    \vspace #1.2
    \justify \italic {
      • Cette transcription est réalisée à partir de l'édition complète  «Johannes Brahms: Sämtliche Werke, Band 7 -
      Leipzig: Breitkopf & Härtel, 1926-27. Plate J.B. 17.»
      Elle se veut aussi fidèle que possible à l'originale, et ce y compris la position exacte des nuances,
      des soufflets, des articulations, des trémolos, des ligatures, la notation polyphonique ou accordique,
      etc.
    }
    \vspace #1.2
    \justify \italic {
      • Les parties séparées sont réalisées à partir de l'édition «Edition SIMROCK nr.603». Les indications de repère,
      absents de l'édition de référence, sont repris de l'édition «Bonn: N. Simrock, n.d.[1862] (1861?). Plate 6202.»
    }
    \vspace #1.2
    \justify \italic {
      • Les trilles dont la seconde note est altérée voient cette altération placée SOUS le signe du trille,
      conformément au traité de la «Théorie de la musique» de A. Danhauser (1996).
    }
    \vspace #1.2
    \justify \italic {
      • La lettre I dans les indications de repère n’est pas utilisée, conformément aux usages de la gravure.
    }
    \vspace #1.2
    \justify \italic {
      • Les repères d'avancement, absents de l'édition de référence, sont repris des parties séparées.
    }
    \vspace #1.2
    \justify \italic {
      • Lors des reprises, on évite de compter les mesures figurant dans la première boîte de reprise,
      conformément à l'usage (A. Danhauser «Music Theory» 1996 - Jean-Pierre Coulon, «Sottigra» 2005)
    }
    \vspace #1.2
  }
}

mutopiaEng = \markup {
  \column {
    \line \bold \caps {The Mutopia project}
    \vspace #2.2
    \justify {\bold \with-url #mutopiaWebSite \mutopiaWebSite}
    \vspace #1
    \justify {
      • DigiClassic scores (Conductor, parts and study format)
      participate in the Mutopia project which aiming
      at online Internet old scores fallen into the public domain,
      with a print quality problems rarely achieved so far.
    }
    \vspace #2.2
    \justify \italic {
      • The scores are taken from the original website
      http://imslp.org/, wich includes nearly 60,000 works
      and more than 220,000 free scores (dec. 2012).
    }
    \vspace #2.2
    \justify \italic {
      • DigiClassic uses free software LilyPond for a print quality
      worthy of the engraving masters of the nineteenth century.
    }
    \vspace #2.2
    \justify \italic {
      • The scores are as faithful as possible to the originals.
      However, these old scores often show slight differences or
      inconsistencies, which are corrected as logically as possible
      (phrasing, dynamics, sometimes mistakes on notes or durations,
      indication or not of tuplet numbers).
    }
    \vspace #2.2
    \justify \italic {
      • The quotations in parts also come (if available) from original scores,
      which entrusts the book an excellent read.
    }
    \vspace #2.2
    \justify \italic {
      • The differences between the parts and the conducting score
      are kept, optimized, either for the player, or for the conductor.
    }
    \vspace #2.2
    \justify \italic {
      • Despite numerous re-readings, errors may exist in copies.
      If in doubt, check the scores on the IMSLP website,
      references to the publisher and number plate being provided with each score.
    }
    \vspace #2.2
    \justify \italic {
      • If you find any improvements, please mail
      \with-url #thisMailTo \thisMail for your comments and advice.
    }
  }
}

mutopiaFr = \markup {
  \column {
    \line \bold \caps {Le projet Mutopia}
    \vspace #2.2
    \justify { \bold \with-url #mutopiaWebSite \mutopiaWebSite }
    \vspace #1
    \justify \italic {
      • Les partitions DigiClassic (Conductrices, parties et format d'étude) participent
      au projet Mutopia qui a pour but la publication sur Internet de partitions du domaine public
      avec une qualité rarement atteinte à ce jour.
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions de départ sont puisées sur le site http://imslp.org/, qui inclut environ 60.000 œuvres
      et plus de 220.000 paritions libres de droit (décembre 2012).
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions DigiClassic sont gravées à l'aide du logiciel libre LilyPond pour une qualité d'impression
      digne des maîtres de la gravure du XIXe siècle.
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions correspondent les plus fidèlement possible aux travaux originaux.
      Cependant, ces anciennes réalisations montrent souvent de légères différences ou
      incohérences, qui sont corrigées aussi logiquement que possible
      (phrasé, la dynamique, parfois des erreurs sur les notes ou les durées,
      spécification ou non des chiffres relatifs aux triolets, ...).
    }
    \vspace #2.2
    \justify \italic {
      • Dans les parties séparées, les citations d'autres instruments, qui assurent
      une lecture confortable à l'exécutant, proviennent également (si disponible) des partitions originales.
    }
    \vspace #2.2
    \justify \italic {
      • Les différences entre les parties et la conductrice
      sont maintenues autant que possible, optimisées, soit pour l'exécutant ou pour le dirigeant.
    }
    \vspace #2.2
    \justify \italic {
      • Malgré de nombreuses relectures, des erreurs peuvent exister dans les copies.
      En cas de doute, vérifiez les partitions sur le site IMSLP, la références de l'éditeur et du numéro
      de plaque étant fournie avec chaque partition.
    }
    \vspace #2.2
    \justify \italic {
      • Si vous trouvez des inexactitudes, corrections ou améliorations à apporter à ces partitions,
      envoyez vos commentaires et conseils à l'adresse \with-url #thisMailTo \thisMail
    }
  }
}
